package b4a.example;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class findhh extends Activity implements B4AActivity{
	public static findhh mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = true;
	public static final boolean includeTitle = true;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.findhh");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (findhh).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.findhh");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.shellMode) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.findhh", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (findhh) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (findhh) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return findhh.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (findhh) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (findhh) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _qcur = null;
public static int _hhid = 0;
public static anywheresoftware.b4a.sql.SQL _sql1 = null;
public static anywheresoftware.b4a.phone.Phone _t = null;
public static String _dbfilename = "";
public static String _dbfilepath = "";
public anywheresoftware.b4a.objects.ButtonWrapper _btnhanapin = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnadd = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txt1 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txt2 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txt3 = null;
public anywheresoftware.b4a.objects.EditTextWrapper _txt4 = null;
public static int _numhhid = 0;
public anywheresoftware.b4a.objects.ScrollViewWrapper _scvlist = null;
public anywheresoftware.b4a.objects.PanelWrapper _header = null;
public anywheresoftware.b4a.objects.PanelWrapper _table = null;
public anywheresoftware.b4a.objects.collections.List _selecteditems = null;
public static boolean _btnfind = false;
public anywheresoftware.b4a.objects.EditTextWrapper _edtnhtsid = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edtlname = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edtfname = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edtmname = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edtfamcnt = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edthholdid = null;
public anywheresoftware.b4a.objects.EditTextWrapper _edtchtid = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnledit = null;
public anywheresoftware.b4a.objects.PanelWrapper _pnlmove = null;
public static int _numberofrows = 0;
public static int _previousrow = 0;
public static int _numberofvisiblerows = 0;
public static int _numberofcolumns = 0;
public static int _rowheight = 0;
public static int _rowheight_1 = 0;
public static int _rowlinewidth = 0;
public static int _linecolor = 0;
public static int[] _columnwidth = null;
public static int[] _columnwidth_1 = null;
public static int _collinewidth = 0;
public static int _selectedrowcolor = 0;
public static int _selectedcellcolor = 0;
public static int[] _headercolor = null;
public static int[] _headerfontcolor = null;
public static int[] _cellcolor = null;
public static int[] _fontcolor = null;
public static float[] _fontsize = null;
public static int[] _alignment = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imageview2 = null;
public b4a.example.dateutils _dateutils = null;
public b4a.example.main _main = null;
public b4a.example.fplaymovie _fplaymovie = null;
public b4a.example.profilehoh _profilehoh = null;
  public Object[] GetGlobals() {
		return new Object[] {"Activity",mostCurrent._activity,"Alignment",_alignment,"btnAdd",mostCurrent._btnadd,"btnFind",_btnfind,"btnHanapin",mostCurrent._btnhanapin,"CellColor",_cellcolor,"ColLineWidth",_collinewidth,"ColumnWidth",_columnwidth,"ColumnWidth_1",_columnwidth_1,"DateUtils",mostCurrent._dateutils,"DBFileName",_dbfilename,"DBFilePath",_dbfilepath,"edtCHTID",mostCurrent._edtchtid,"edtFamcnt",mostCurrent._edtfamcnt,"edtFName",mostCurrent._edtfname,"edtHHoldID",mostCurrent._edthholdid,"edtLName",mostCurrent._edtlname,"edtMName",mostCurrent._edtmname,"edtNHTSID",mostCurrent._edtnhtsid,"FontColor",_fontcolor,"FontSize",_fontsize,"fPlayMovie",Debug.moduleToString(b4a.example.fplaymovie.class),"Header",mostCurrent._header,"HeaderColor",_headercolor,"HeaderFontColor",_headerfontcolor,"hhid",_hhid,"ImageView2",mostCurrent._imageview2,"LineColor",_linecolor,"Main",Debug.moduleToString(b4a.example.main.class),"NumberOfColumns",_numberofcolumns,"NumberOfRows",_numberofrows,"NumberOfVisibleRows",_numberofvisiblerows,"NumHHID",_numhhid,"pnlEdit",mostCurrent._pnledit,"pnlMove",mostCurrent._pnlmove,"PreviousRow",_previousrow,"ProfileHoH",Debug.moduleToString(b4a.example.profilehoh.class),"qcur",_qcur,"RowHeight",_rowheight,"RowHeight_1",_rowheight_1,"RowLineWidth",_rowlinewidth,"scvlist",mostCurrent._scvlist,"SelectedCellColor",_selectedcellcolor,"SelectedItems",mostCurrent._selecteditems,"SelectedRowColor",_selectedrowcolor,"sql1",_sql1,"t",_t,"Table",mostCurrent._table,"Txt1",mostCurrent._txt1,"Txt2",mostCurrent._txt2,"Txt3",mostCurrent._txt3,"Txt4",mostCurrent._txt4};
}

public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public static class _rowcol{
public boolean IsInitialized;
public int Row;
public int Col;
public void Initialize() {
IsInitialized = true;
Row = 0;
Col = 0;
}
@Override
		public String toString() {
			return BA.TypeToString(this, false);
		}}
public static String  _activity_create(boolean _firsttime) throws Exception{
		Debug.PushSubsStack("Activity_Create (findhh) ","findhh",2,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 112;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(32768);
 BA.debugLineNum = 114;BA.debugLine="Activity.LoadLayout(\"fFindHH\")";
Debug.ShouldStop(131072);
mostCurrent._activity.LoadLayout("fFindHH",mostCurrent.activityBA);
 BA.debugLineNum = 115;BA.debugLine="btnFind = False";
Debug.ShouldStop(262144);
_btnfind = anywheresoftware.b4a.keywords.Common.False;
 BA.debugLineNum = 117;BA.debugLine="If File.Exists(DBFilePath, DBFileName)=False Then";
Debug.ShouldStop(1048576);
if (anywheresoftware.b4a.keywords.Common.File.Exists(_dbfilepath,_dbfilename)==anywheresoftware.b4a.keywords.Common.False) { 
 BA.debugLineNum = 118;BA.debugLine="If FirstTime Then";
Debug.ShouldStop(2097152);
if (_firsttime) { 
 BA.debugLineNum = 119;BA.debugLine="sql1.Initialize(DBFilePath, DBFileName, True)";
Debug.ShouldStop(4194304);
Debug.DebugWarningEngine.CheckInitialize(_sql1);_sql1.Initialize(_dbfilepath,_dbfilename,anywheresoftware.b4a.keywords.Common.True);
 };
 }else {
 BA.debugLineNum = 123;BA.debugLine="If FirstTime Then";
Debug.ShouldStop(67108864);
if (_firsttime) { 
 BA.debugLineNum = 124;BA.debugLine="sql1.Initialize(DBFilePath, DBFileName, True)";
Debug.ShouldStop(134217728);
Debug.DebugWarningEngine.CheckInitialize(_sql1);_sql1.Initialize(_dbfilepath,_dbfilename,anywheresoftware.b4a.keywords.Common.True);
 };
 };
 BA.debugLineNum = 128;BA.debugLine="PopulateList";
Debug.ShouldStop(-2147483648);
_populatelist();
 BA.debugLineNum = 130;BA.debugLine="End Sub";
Debug.ShouldStop(2);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_pause() throws Exception{
		Debug.PushSubsStack("Activity_Pause (findhh) ","findhh",2,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 162;BA.debugLine="Sub Activity_Pause";
Debug.ShouldStop(2);
 BA.debugLineNum = 164;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_resume() throws Exception{
		Debug.PushSubsStack("Activity_Resume (findhh) ","findhh",2,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 158;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(536870912);
 BA.debugLineNum = 160;BA.debugLine="End Sub";
Debug.ShouldStop(-2147483648);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _addrow(String[] _values) throws Exception{
		Debug.PushSubsStack("AddRow (findhh) ","findhh",2,mostCurrent.activityBA,mostCurrent);
try {
int _colwidth = 0;
int _i = 0;
anywheresoftware.b4a.objects.LabelWrapper _l = null;
b4a.example.findhh._rowcol _rc = null;
Debug.locals.put("Values", _values);
 BA.debugLineNum = 307;BA.debugLine="Sub AddRow(Values() As String)";
Debug.ShouldStop(262144);
 BA.debugLineNum = 309;BA.debugLine="Dim ColWidth As Int";
Debug.ShouldStop(1048576);
_colwidth = 0;Debug.locals.put("ColWidth", _colwidth);
 BA.debugLineNum = 311;BA.debugLine="If Values.Length <> NumberOfColumns Then";
Debug.ShouldStop(4194304);
if (_values.length!=_numberofcolumns) { 
 BA.debugLineNum = 312;BA.debugLine="Log(\"Wrong number of values.\")";
Debug.ShouldStop(8388608);
anywheresoftware.b4a.keywords.Common.Log("Wrong number of values.");
 BA.debugLineNum = 313;BA.debugLine="Return";
Debug.ShouldStop(16777216);
if (true) return "";
 };
 BA.debugLineNum = 315;BA.debugLine="ColWidth=0";
Debug.ShouldStop(67108864);
_colwidth = (int) (0);Debug.locals.put("ColWidth", _colwidth);
 BA.debugLineNum = 316;BA.debugLine="For i = 0 To NumberOfColumns - 1";
Debug.ShouldStop(134217728);
{
final int step257 = 1;
final int limit257 = (int) (_numberofcolumns-1);
for (_i = (int) (0); (step257 > 0 && _i <= limit257) || (step257 < 0 && _i >= limit257); _i = ((int)(0 + _i + step257))) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 317;BA.debugLine="Dim l As Label";
Debug.ShouldStop(268435456);
_l = new anywheresoftware.b4a.objects.LabelWrapper();Debug.locals.put("l", _l);
 BA.debugLineNum = 318;BA.debugLine="l.Initialize(\"cell\")";
Debug.ShouldStop(536870912);
_l.Initialize(mostCurrent.activityBA,"cell");
 BA.debugLineNum = 319;BA.debugLine="l.Text = Values(i)";
Debug.ShouldStop(1073741824);
_l.setText((Object)(_values[_i]));
 BA.debugLineNum = 320;BA.debugLine="l.Gravity = Alignment(i)";
Debug.ShouldStop(-2147483648);
_l.setGravity(_alignment[_i]);
 BA.debugLineNum = 321;BA.debugLine="l.TextSize = FontSize(i)";
Debug.ShouldStop(1);
_l.setTextSize(_fontsize[_i]);
 BA.debugLineNum = 322;BA.debugLine="l.TextColor = FontColor(i)";
Debug.ShouldStop(2);
_l.setTextColor(_fontcolor[_i]);
 BA.debugLineNum = 323;BA.debugLine="l.Color=CellColor(i)";
Debug.ShouldStop(4);
_l.setColor(_cellcolor[_i]);
 BA.debugLineNum = 324;BA.debugLine="Dim rc As RowCol";
Debug.ShouldStop(8);
_rc = new b4a.example.findhh._rowcol();Debug.locals.put("rc", _rc);
 BA.debugLineNum = 325;BA.debugLine="rc.Initialize";
Debug.ShouldStop(16);
_rc.Initialize();
 BA.debugLineNum = 326;BA.debugLine="rc.Col = i";
Debug.ShouldStop(32);
_rc.Col = _i;Debug.locals.put("rc", _rc);
 BA.debugLineNum = 327;BA.debugLine="rc.Row = NumberOfRows";
Debug.ShouldStop(64);
_rc.Row = _numberofrows;Debug.locals.put("rc", _rc);
 BA.debugLineNum = 328;BA.debugLine="l.Tag = rc";
Debug.ShouldStop(128);
_l.setTag((Object)(_rc));
 BA.debugLineNum = 329;BA.debugLine="Table.AddView(l, ColWidth, RowHeight * NumberOfRows, ColumnWidth_1(i), RowHeight_1)";
Debug.ShouldStop(256);
mostCurrent._table.AddView((android.view.View)(_l.getObject()),_colwidth,(int) (_rowheight*_numberofrows),_columnwidth_1[_i],_rowheight_1);
 BA.debugLineNum = 330;BA.debugLine="ColWidth=ColWidth+ColumnWidth(i)";
Debug.ShouldStop(512);
_colwidth = (int) (_colwidth+_columnwidth[_i]);Debug.locals.put("ColWidth", _colwidth);
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 332;BA.debugLine="NumberOfRows=NumberOfRows+1";
Debug.ShouldStop(2048);
_numberofrows = (int) (_numberofrows+1);
 BA.debugLineNum = 333;BA.debugLine="Table.Height = NumberOfRows * RowHeight";
Debug.ShouldStop(4096);
mostCurrent._table.setHeight((int) (_numberofrows*_rowheight));
 BA.debugLineNum = 334;BA.debugLine="End Sub";
Debug.ShouldStop(8192);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _btnhanapin_click() throws Exception{
		Debug.PushSubsStack("btnHanapin_Click (findhh) ","findhh",2,mostCurrent.activityBA,mostCurrent);
try {
int _index = 0;
 BA.debugLineNum = 166;BA.debugLine="Sub btnHanapin_Click";
Debug.ShouldStop(32);
 BA.debugLineNum = 167;BA.debugLine="ClearAll";
Debug.ShouldStop(64);
_clearall();
 BA.debugLineNum = 168;BA.debugLine="Dim index As Int";
Debug.ShouldStop(128);
_index = 0;Debug.locals.put("index", _index);
 BA.debugLineNum = 169;BA.debugLine="btnFind = True";
Debug.ShouldStop(256);
_btnfind = anywheresoftware.b4a.keywords.Common.True;
 BA.debugLineNum = 170;BA.debugLine="PopulateList";
Debug.ShouldStop(512);
_populatelist();
 BA.debugLineNum = 171;BA.debugLine="t.HideKeyboard(Activity)";
Debug.ShouldStop(1024);
_t.HideKeyboard(mostCurrent._activity);
 BA.debugLineNum = 172;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _cell_click() throws Exception{
		Debug.PushSubsStack("Cell_Click (findhh) ","findhh",2,mostCurrent.activityBA,mostCurrent);
try {
b4a.example.findhh._rowcol _rc = null;
anywheresoftware.b4a.objects.LabelWrapper _l = null;
 BA.debugLineNum = 213;BA.debugLine="Sub Cell_Click";
Debug.ShouldStop(1048576);
 BA.debugLineNum = 214;BA.debugLine="Dim rc As RowCol";
Debug.ShouldStop(2097152);
_rc = new b4a.example.findhh._rowcol();Debug.locals.put("rc", _rc);
 BA.debugLineNum = 215;BA.debugLine="Dim l As Label";
Debug.ShouldStop(4194304);
_l = new anywheresoftware.b4a.objects.LabelWrapper();Debug.locals.put("l", _l);
 BA.debugLineNum = 216;BA.debugLine="l = Sender";
Debug.ShouldStop(8388608);
_l.setObject((android.widget.TextView)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
 BA.debugLineNum = 217;BA.debugLine="rc = l.Tag";
Debug.ShouldStop(16777216);
_rc = (b4a.example.findhh._rowcol)(_l.getTag());Debug.locals.put("rc", _rc);
 BA.debugLineNum = 219;BA.debugLine="l = Sender";
Debug.ShouldStop(67108864);
_l.setObject((android.widget.TextView)(anywheresoftware.b4a.keywords.Common.Sender(mostCurrent.activityBA)));
 BA.debugLineNum = 221;BA.debugLine="If SelectedItems.Size=1 Then";
Debug.ShouldStop(268435456);
if (mostCurrent._selecteditems.getSize()==1) { 
 BA.debugLineNum = 222;BA.debugLine="SelectRow(rc.Row, rc.Col,2)";
Debug.ShouldStop(536870912);
_selectrow(_rc.Row,_rc.Col,(int) (2));
 }else {
 BA.debugLineNum = 224;BA.debugLine="SelectRow(rc.Row, rc.Col,0)";
Debug.ShouldStop(-2147483648);
_selectrow(_rc.Row,_rc.Col,(int) (0));
 };
 BA.debugLineNum = 226;BA.debugLine="SelectAdd";
Debug.ShouldStop(2);
_selectadd();
 BA.debugLineNum = 227;BA.debugLine="StartActivity(\"ProfileHoH\")";
Debug.ShouldStop(4);
anywheresoftware.b4a.keywords.Common.StartActivity(mostCurrent.activityBA,(Object)("ProfileHoH"));
 BA.debugLineNum = 228;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _clearall() throws Exception{
		Debug.PushSubsStack("ClearAll (findhh) ","findhh",2,mostCurrent.activityBA,mostCurrent);
try {
int _i = 0;
 BA.debugLineNum = 368;BA.debugLine="Sub ClearAll";
Debug.ShouldStop(32768);
 BA.debugLineNum = 370;BA.debugLine="For i = Table.NumberOfViews -1 To 0 Step -1";
Debug.ShouldStop(131072);
{
final int step302 = (int) (-1);
final int limit302 = (int) (0);
for (_i = (int) (mostCurrent._table.getNumberOfViews()-1); (step302 > 0 && _i <= limit302) || (step302 < 0 && _i >= limit302); _i = ((int)(0 + _i + step302))) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 371;BA.debugLine="Table.RemoveViewAt(i)";
Debug.ShouldStop(262144);
mostCurrent._table.RemoveViewAt(_i);
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 373;BA.debugLine="Table.Height = 0";
Debug.ShouldStop(1048576);
mostCurrent._table.setHeight((int) (0));
 BA.debugLineNum = 374;BA.debugLine="SelectedItems.Clear";
Debug.ShouldStop(2097152);
mostCurrent._selecteditems.Clear();
 BA.debugLineNum = 375;BA.debugLine="End Sub";
Debug.ShouldStop(4194304);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _getcell(int _row,int _col) throws Exception{
		Debug.PushSubsStack("GetCell (findhh) ","findhh",2,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("Row", _row);
Debug.locals.put("Col", _col);
 BA.debugLineNum = 363;BA.debugLine="Sub GetCell(Row As Int, Col As Int) As String";
Debug.ShouldStop(1024);
 BA.debugLineNum = 365;BA.debugLine="Return GetView(Row, Col).Text";
Debug.ShouldStop(4096);
if (true) return _getview(_row,_col).getText();
 BA.debugLineNum = 366;BA.debugLine="End Sub";
Debug.ShouldStop(8192);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static anywheresoftware.b4a.objects.LabelWrapper  _getview(int _row,int _col) throws Exception{
		Debug.PushSubsStack("GetView (findhh) ","findhh",2,mostCurrent.activityBA,mostCurrent);
try {
anywheresoftware.b4a.objects.LabelWrapper _l = null;
Debug.locals.put("Row", _row);
Debug.locals.put("Col", _col);
 BA.debugLineNum = 300;BA.debugLine="Sub GetView(Row As Int, Col As Int) As Label";
Debug.ShouldStop(2048);
 BA.debugLineNum = 302;BA.debugLine="Dim l As Label";
Debug.ShouldStop(8192);
_l = new anywheresoftware.b4a.objects.LabelWrapper();Debug.locals.put("l", _l);
 BA.debugLineNum = 303;BA.debugLine="l = Table.GetView(Row * NumberOfColumns + Col)";
Debug.ShouldStop(16384);
_l.setObject((android.widget.TextView)(mostCurrent._table.GetView((int) (_row*_numberofcolumns+_col)).getObject()));
 BA.debugLineNum = 304;BA.debugLine="Return l";
Debug.ShouldStop(32768);
if (true) return _l;
 BA.debugLineNum = 305;BA.debugLine="End Sub";
Debug.ShouldStop(65536);
return null;
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 18;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 19;BA.debugLine="Dim btnHanapin As Button";
mostCurrent._btnhanapin = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 20;BA.debugLine="Dim btnAdd As Button";
mostCurrent._btnadd = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 22;BA.debugLine="Dim Txt1 As EditText";
mostCurrent._txt1 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 23;BA.debugLine="Dim Txt2 As EditText";
mostCurrent._txt2 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 24;BA.debugLine="Dim Txt3 As EditText";
mostCurrent._txt3 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 25;BA.debugLine="Dim Txt4 As EditText";
mostCurrent._txt4 = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 26;BA.debugLine="Dim NumHHID As Int";
_numhhid = 0;
 //BA.debugLineNum = 29;BA.debugLine="Dim scvlist As ScrollView";
mostCurrent._scvlist = new anywheresoftware.b4a.objects.ScrollViewWrapper();
 //BA.debugLineNum = 30;BA.debugLine="Dim Header As Panel";
mostCurrent._header = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 31;BA.debugLine="Dim Table As Panel";
mostCurrent._table = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Dim SelectedItems As List";
mostCurrent._selecteditems = new anywheresoftware.b4a.objects.collections.List();
 //BA.debugLineNum = 33;BA.debugLine="Dim btnFind As Boolean";
_btnfind = false;
 //BA.debugLineNum = 34;BA.debugLine="Dim edtNHTSID, edtLName, edtFName, edtMName, edtFamcnt, edtHHoldID, edtCHTID As EditText";
mostCurrent._edtnhtsid = new anywheresoftware.b4a.objects.EditTextWrapper();
mostCurrent._edtlname = new anywheresoftware.b4a.objects.EditTextWrapper();
mostCurrent._edtfname = new anywheresoftware.b4a.objects.EditTextWrapper();
mostCurrent._edtmname = new anywheresoftware.b4a.objects.EditTextWrapper();
mostCurrent._edtfamcnt = new anywheresoftware.b4a.objects.EditTextWrapper();
mostCurrent._edthholdid = new anywheresoftware.b4a.objects.EditTextWrapper();
mostCurrent._edtchtid = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 35;BA.debugLine="Dim pnlEdit, pnlMove As Panel";
mostCurrent._pnledit = new anywheresoftware.b4a.objects.PanelWrapper();
mostCurrent._pnlmove = new anywheresoftware.b4a.objects.PanelWrapper();
 //BA.debugLineNum = 37;BA.debugLine="Dim NumberOfRows As Int						: NumberOfRows=0";
_numberofrows = 0;
 //BA.debugLineNum = 37;BA.debugLine="Dim NumberOfRows As Int						: NumberOfRows=0";
_numberofrows = (int) (0);
 //BA.debugLineNum = 38;BA.debugLine="Dim PreviousRow As Int						: PreviousRow=-1";
_previousrow = 0;
 //BA.debugLineNum = 38;BA.debugLine="Dim PreviousRow As Int						: PreviousRow=-1";
_previousrow = (int) (-1);
 //BA.debugLineNum = 39;BA.debugLine="Dim NumberOfVisibleRows As Int";
_numberofvisiblerows = 0;
 //BA.debugLineNum = 40;BA.debugLine="Dim NumberOfColumns As Int				: NumberOfColumns = 7  'will be overwritten when loading from CscvList file.";
_numberofcolumns = 0;
 //BA.debugLineNum = 40;BA.debugLine="Dim NumberOfColumns As Int				: NumberOfColumns = 7  'will be overwritten when loading from CscvList file.";
_numberofcolumns = (int) (7);
 //BA.debugLineNum = 41;BA.debugLine="Dim RowHeight, RowHeight_1, RowLineWidth As Int";
_rowheight = 0;
_rowheight_1 = 0;
_rowlinewidth = 0;
 //BA.debugLineNum = 42;BA.debugLine="RowLineWidth = 1dip";
_rowlinewidth = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1));
 //BA.debugLineNum = 43;BA.debugLine="RowHeight = 30dip";
_rowheight = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (30));
 //BA.debugLineNum = 44;BA.debugLine="RowHeight_1 = RowHeight - RowLineWidth";
_rowheight_1 = (int) (_rowheight-_rowlinewidth);
 //BA.debugLineNum = 46;BA.debugLine="Type RowCol (Row As Int, Col As Int)";
;
 //BA.debugLineNum = 47;BA.debugLine="Dim LineColor  As Int							: LineColor = Colors.White";
_linecolor = 0;
 //BA.debugLineNum = 47;BA.debugLine="Dim LineColor  As Int							: LineColor = Colors.White";
_linecolor = anywheresoftware.b4a.keywords.Common.Colors.White;
 //BA.debugLineNum = 48;BA.debugLine="Dim ColumnWidth(7) As Int";
_columnwidth = new int[(int) (7)];
;
 //BA.debugLineNum = 49;BA.debugLine="Dim ColumnWidth_1(7) As Int";
_columnwidth_1 = new int[(int) (7)];
;
 //BA.debugLineNum = 50;BA.debugLine="Dim ColLineWidth As Int						: 	ColLineWidth = 1dip";
_collinewidth = 0;
 //BA.debugLineNum = 50;BA.debugLine="Dim ColLineWidth As Int						: 	ColLineWidth = 1dip";
_collinewidth = anywheresoftware.b4a.keywords.Common.DipToCurrent((int) (1));
 //BA.debugLineNum = 51;BA.debugLine="Dim SelectedRowColor As Int				: SelectedRowColor=Colors.RGB(255,196,196)";
_selectedrowcolor = 0;
 //BA.debugLineNum = 51;BA.debugLine="Dim SelectedRowColor As Int				: SelectedRowColor=Colors.RGB(255,196,196)";
_selectedrowcolor = anywheresoftware.b4a.keywords.Common.Colors.RGB((int) (255),(int) (196),(int) (196));
 //BA.debugLineNum = 52;BA.debugLine="Dim SelectedCellColor As Int			: SelectedCellColor=Colors.LightGray";
_selectedcellcolor = 0;
 //BA.debugLineNum = 52;BA.debugLine="Dim SelectedCellColor As Int			: SelectedCellColor=Colors.LightGray";
_selectedcellcolor = anywheresoftware.b4a.keywords.Common.Colors.LightGray;
 //BA.debugLineNum = 56;BA.debugLine="Dim HeaderColor(7) As Int";
_headercolor = new int[(int) (7)];
;
 //BA.debugLineNum = 57;BA.debugLine="HeaderColor(0)=Colors.White";
_headercolor[(int) (0)] = anywheresoftware.b4a.keywords.Common.Colors.White;
 //BA.debugLineNum = 58;BA.debugLine="HeaderColor(1)=Colors.White";
_headercolor[(int) (1)] = anywheresoftware.b4a.keywords.Common.Colors.White;
 //BA.debugLineNum = 59;BA.debugLine="HeaderColor(2)=Colors.White";
_headercolor[(int) (2)] = anywheresoftware.b4a.keywords.Common.Colors.White;
 //BA.debugLineNum = 60;BA.debugLine="HeaderColor(3)=Colors.White";
_headercolor[(int) (3)] = anywheresoftware.b4a.keywords.Common.Colors.White;
 //BA.debugLineNum = 61;BA.debugLine="HeaderColor(4)=Colors.White";
_headercolor[(int) (4)] = anywheresoftware.b4a.keywords.Common.Colors.White;
 //BA.debugLineNum = 62;BA.debugLine="HeaderColor(5)=Colors.White";
_headercolor[(int) (5)] = anywheresoftware.b4a.keywords.Common.Colors.White;
 //BA.debugLineNum = 63;BA.debugLine="HeaderColor(6)=Colors.White";
_headercolor[(int) (6)] = anywheresoftware.b4a.keywords.Common.Colors.White;
 //BA.debugLineNum = 65;BA.debugLine="Dim HeaderFontColor(7) As Int";
_headerfontcolor = new int[(int) (7)];
;
 //BA.debugLineNum = 66;BA.debugLine="HeaderFontColor(0)=Colors.Black";
_headerfontcolor[(int) (0)] = anywheresoftware.b4a.keywords.Common.Colors.Black;
 //BA.debugLineNum = 67;BA.debugLine="HeaderFontColor(1)=Colors.Black";
_headerfontcolor[(int) (1)] = anywheresoftware.b4a.keywords.Common.Colors.Black;
 //BA.debugLineNum = 68;BA.debugLine="HeaderFontColor(2)=Colors.Black";
_headerfontcolor[(int) (2)] = anywheresoftware.b4a.keywords.Common.Colors.Black;
 //BA.debugLineNum = 69;BA.debugLine="HeaderFontColor(3)=Colors.Black";
_headerfontcolor[(int) (3)] = anywheresoftware.b4a.keywords.Common.Colors.Black;
 //BA.debugLineNum = 70;BA.debugLine="HeaderFontColor(4)=Colors.Black";
_headerfontcolor[(int) (4)] = anywheresoftware.b4a.keywords.Common.Colors.Black;
 //BA.debugLineNum = 71;BA.debugLine="HeaderFontColor(5)=Colors.Black";
_headerfontcolor[(int) (5)] = anywheresoftware.b4a.keywords.Common.Colors.Black;
 //BA.debugLineNum = 72;BA.debugLine="HeaderFontColor(6)=Colors.Black";
_headerfontcolor[(int) (6)] = anywheresoftware.b4a.keywords.Common.Colors.Black;
 //BA.debugLineNum = 74;BA.debugLine="Dim CellColor(7) As Int";
_cellcolor = new int[(int) (7)];
;
 //BA.debugLineNum = 75;BA.debugLine="CellColor(0) = Colors.White";
_cellcolor[(int) (0)] = anywheresoftware.b4a.keywords.Common.Colors.White;
 //BA.debugLineNum = 76;BA.debugLine="CellColor(1) = Colors.White";
_cellcolor[(int) (1)] = anywheresoftware.b4a.keywords.Common.Colors.White;
 //BA.debugLineNum = 77;BA.debugLine="CellColor(2) = Colors.White";
_cellcolor[(int) (2)] = anywheresoftware.b4a.keywords.Common.Colors.White;
 //BA.debugLineNum = 78;BA.debugLine="CellColor(3) = Colors.White";
_cellcolor[(int) (3)] = anywheresoftware.b4a.keywords.Common.Colors.White;
 //BA.debugLineNum = 79;BA.debugLine="CellColor(4) = Colors.White";
_cellcolor[(int) (4)] = anywheresoftware.b4a.keywords.Common.Colors.White;
 //BA.debugLineNum = 80;BA.debugLine="CellColor(5) = Colors.White";
_cellcolor[(int) (5)] = anywheresoftware.b4a.keywords.Common.Colors.White;
 //BA.debugLineNum = 81;BA.debugLine="CellColor(6) = Colors.White";
_cellcolor[(int) (6)] = anywheresoftware.b4a.keywords.Common.Colors.White;
 //BA.debugLineNum = 83;BA.debugLine="Dim FontColor(7) As Int";
_fontcolor = new int[(int) (7)];
;
 //BA.debugLineNum = 84;BA.debugLine="FontColor(0) = Colors.Black";
_fontcolor[(int) (0)] = anywheresoftware.b4a.keywords.Common.Colors.Black;
 //BA.debugLineNum = 85;BA.debugLine="FontColor(1) = Colors.Black";
_fontcolor[(int) (1)] = anywheresoftware.b4a.keywords.Common.Colors.Black;
 //BA.debugLineNum = 86;BA.debugLine="FontColor(2) = Colors.Black";
_fontcolor[(int) (2)] = anywheresoftware.b4a.keywords.Common.Colors.Black;
 //BA.debugLineNum = 87;BA.debugLine="FontColor(3) = Colors.Black";
_fontcolor[(int) (3)] = anywheresoftware.b4a.keywords.Common.Colors.Black;
 //BA.debugLineNum = 88;BA.debugLine="FontColor(4) = Colors.Black";
_fontcolor[(int) (4)] = anywheresoftware.b4a.keywords.Common.Colors.Black;
 //BA.debugLineNum = 89;BA.debugLine="FontColor(5) = Colors.Black";
_fontcolor[(int) (5)] = anywheresoftware.b4a.keywords.Common.Colors.Black;
 //BA.debugLineNum = 90;BA.debugLine="FontColor(6) = Colors.Black";
_fontcolor[(int) (6)] = anywheresoftware.b4a.keywords.Common.Colors.Black;
 //BA.debugLineNum = 92;BA.debugLine="Dim FontSize(7) As Float";
_fontsize = new float[(int) (7)];
;
 //BA.debugLineNum = 93;BA.debugLine="FontSize(0) = 20";
_fontsize[(int) (0)] = (float) (20);
 //BA.debugLineNum = 94;BA.debugLine="FontSize(1) = 20";
_fontsize[(int) (1)] = (float) (20);
 //BA.debugLineNum = 95;BA.debugLine="FontSize(2) = 20";
_fontsize[(int) (2)] = (float) (20);
 //BA.debugLineNum = 96;BA.debugLine="FontSize(3) = 20";
_fontsize[(int) (3)] = (float) (20);
 //BA.debugLineNum = 97;BA.debugLine="FontSize(4) = 20";
_fontsize[(int) (4)] = (float) (20);
 //BA.debugLineNum = 98;BA.debugLine="FontSize(5) = 20";
_fontsize[(int) (5)] = (float) (20);
 //BA.debugLineNum = 99;BA.debugLine="FontSize(6) = 20";
_fontsize[(int) (6)] = (float) (20);
 //BA.debugLineNum = 101;BA.debugLine="Dim Alignment(7) As Int";
_alignment = new int[(int) (7)];
;
 //BA.debugLineNum = 102;BA.debugLine="Alignment(0) = Gravity.LEFT  'change to Gravity.LEFT or Gravity.RIGHT for other alignments.";
_alignment[(int) (0)] = anywheresoftware.b4a.keywords.Common.Gravity.LEFT;
 //BA.debugLineNum = 103;BA.debugLine="Alignment(1) = Gravity.LEFT";
_alignment[(int) (1)] = anywheresoftware.b4a.keywords.Common.Gravity.LEFT;
 //BA.debugLineNum = 104;BA.debugLine="Alignment(2) = Gravity.LEFT";
_alignment[(int) (2)] = anywheresoftware.b4a.keywords.Common.Gravity.LEFT;
 //BA.debugLineNum = 105;BA.debugLine="Alignment(3) = Gravity.LEFT  'change to Gravity.LEFT or Gravity.RIGHT for other alignments.";
_alignment[(int) (3)] = anywheresoftware.b4a.keywords.Common.Gravity.LEFT;
 //BA.debugLineNum = 106;BA.debugLine="Alignment(4) = Gravity.LEFT";
_alignment[(int) (4)] = anywheresoftware.b4a.keywords.Common.Gravity.LEFT;
 //BA.debugLineNum = 107;BA.debugLine="Alignment(5) = Gravity.CENTER";
_alignment[(int) (5)] = anywheresoftware.b4a.keywords.Common.Gravity.CENTER;
 //BA.debugLineNum = 108;BA.debugLine="Alignment(6) = Gravity.CENTER 'change to Gravity.LEFT or Gravity.RIGHT for other alignments.";
_alignment[(int) (6)] = anywheresoftware.b4a.keywords.Common.Gravity.CENTER;
 //BA.debugLineNum = 109;BA.debugLine="Dim ImageView2 As ImageView";
mostCurrent._imageview2 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 110;BA.debugLine="End Sub";
return "";
}
public static String  _populatelist() throws Exception{
		Debug.PushSubsStack("PopulateList (findhh) ","findhh",2,mostCurrent.activityBA,mostCurrent);
try {
int _i = 0;
 BA.debugLineNum = 132;BA.debugLine="Sub PopulateList";
Debug.ShouldStop(8);
 BA.debugLineNum = 134;BA.debugLine="Dim i As Int";
Debug.ShouldStop(32);
_i = 0;Debug.locals.put("i", _i);
 BA.debugLineNum = 136;BA.debugLine="scvlist.Panel.Color=Colors.Black";
Debug.ShouldStop(128);
mostCurrent._scvlist.getPanel().setColor(anywheresoftware.b4a.keywords.Common.Colors.Black);
 BA.debugLineNum = 137;BA.debugLine="Table = scvlist.Panel";
Debug.ShouldStop(256);
mostCurrent._table = mostCurrent._scvlist.getPanel();
 BA.debugLineNum = 138;BA.debugLine="Table.Color = LineColor";
Debug.ShouldStop(512);
mostCurrent._table.setColor(_linecolor);
 BA.debugLineNum = 140;BA.debugLine="ColumnWidth(0) = 0.24 * scvlist.Width		' sets the column widths 1/3 screen width";
Debug.ShouldStop(2048);
_columnwidth[(int) (0)] = (int) (0.24*mostCurrent._scvlist.getWidth());
 BA.debugLineNum = 141;BA.debugLine="ColumnWidth(1) = 0.22 * scvlist.Width";
Debug.ShouldStop(4096);
_columnwidth[(int) (1)] = (int) (0.22*mostCurrent._scvlist.getWidth());
 BA.debugLineNum = 142;BA.debugLine="ColumnWidth(2) = 0.22 * scvlist.Width";
Debug.ShouldStop(8192);
_columnwidth[(int) (2)] = (int) (0.22*mostCurrent._scvlist.getWidth());
 BA.debugLineNum = 143;BA.debugLine="ColumnWidth(3) = 0.22 * scvlist.Width		' sets the column widths 1/3 screen width";
Debug.ShouldStop(16384);
_columnwidth[(int) (3)] = (int) (0.22*mostCurrent._scvlist.getWidth());
 BA.debugLineNum = 144;BA.debugLine="ColumnWidth(4) = 0.10 * scvlist.Width";
Debug.ShouldStop(32768);
_columnwidth[(int) (4)] = (int) (0.10*mostCurrent._scvlist.getWidth());
 BA.debugLineNum = 145;BA.debugLine="ColumnWidth(5) = 0.00 * scvlist.Width";
Debug.ShouldStop(65536);
_columnwidth[(int) (5)] = (int) (0.00*mostCurrent._scvlist.getWidth());
 BA.debugLineNum = 146;BA.debugLine="ColumnWidth(6) = 0.00 * scvlist.Width		' sets the column widths 1/3 screen width";
Debug.ShouldStop(131072);
_columnwidth[(int) (6)] = (int) (0.00*mostCurrent._scvlist.getWidth());
 BA.debugLineNum = 148;BA.debugLine="For i=0 To NumberOfColumns-1";
Debug.ShouldStop(524288);
{
final int step123 = 1;
final int limit123 = (int) (_numberofcolumns-1);
for (_i = (int) (0); (step123 > 0 && _i <= limit123) || (step123 < 0 && _i >= limit123); _i = ((int)(0 + _i + step123))) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 150;BA.debugLine="ColumnWidth_1(i) = ColumnWidth(i)-ColLineWidth";
Debug.ShouldStop(2097152);
_columnwidth_1[_i] = (int) (_columnwidth[_i]-_collinewidth);
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 152;BA.debugLine="SelectedItems.Initialize";
Debug.ShouldStop(8388608);
mostCurrent._selecteditems.Initialize();
 BA.debugLineNum = 153;BA.debugLine="SQLReadTable";
Debug.ShouldStop(16777216);
_sqlreadtable();
 BA.debugLineNum = 154;BA.debugLine="NumberOfVisibleRows=scvlist.Height/RowHeight";
Debug.ShouldStop(33554432);
_numberofvisiblerows = (int) (mostCurrent._scvlist.getHeight()/(double)_rowheight);
 BA.debugLineNum = 156;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 9;BA.debugLine="Dim qcur As Cursor";
_qcur = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 10;BA.debugLine="Dim hhid As Int";
_hhid = 0;
 //BA.debugLineNum = 11;BA.debugLine="Dim sql1 As SQL";
_sql1 = new anywheresoftware.b4a.sql.SQL();
 //BA.debugLineNum = 12;BA.debugLine="Dim t As Phone";
_t = new anywheresoftware.b4a.phone.Phone();
 //BA.debugLineNum = 13;BA.debugLine="Dim DBFileName As String					: DBFileName=\"iCHTdb.dbf\"";
_dbfilename = "";
 //BA.debugLineNum = 13;BA.debugLine="Dim DBFileName As String					: DBFileName=\"iCHTdb.dbf\"";
_dbfilename = "iCHTdb.dbf";
 //BA.debugLineNum = 14;BA.debugLine="Dim DBFilePath As String					: DBFilePath=File.DirRootExternal";
_dbfilepath = "";
 //BA.debugLineNum = 14;BA.debugLine="Dim DBFilePath As String					: DBFilePath=File.DirRootExternal";
_dbfilepath = anywheresoftware.b4a.keywords.Common.File.getDirRootExternal();
 //BA.debugLineNum = 16;BA.debugLine="End Sub";
return "";
}
public static String  _selectadd() throws Exception{
		Debug.PushSubsStack("SelectAdd (findhh) ","findhh",2,mostCurrent.activityBA,mostCurrent);
try {
String _txt = "";
int _i = 0;
 BA.debugLineNum = 230;BA.debugLine="Sub SelectAdd";
Debug.ShouldStop(32);
 BA.debugLineNum = 231;BA.debugLine="Dim txt As String";
Debug.ShouldStop(64);
_txt = "";Debug.locals.put("txt", _txt);
 BA.debugLineNum = 233;BA.debugLine="txt=\"Codes = \"";
Debug.ShouldStop(256);
_txt = "Codes = ";Debug.locals.put("txt", _txt);
 BA.debugLineNum = 234;BA.debugLine="For i=0 To SelectedItems.Size-1";
Debug.ShouldStop(512);
{
final int step190 = 1;
final int limit190 = (int) (mostCurrent._selecteditems.getSize()-1);
for (_i = (int) (0); (step190 > 0 && _i <= limit190) || (step190 < 0 && _i >= limit190); _i = ((int)(0 + _i + step190))) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 235;BA.debugLine="If i=0 Then";
Debug.ShouldStop(1024);
if (_i==0) { 
 BA.debugLineNum = 236;BA.debugLine="txt=txt&GetView(SelectedItems.Get(i),5).Text";
Debug.ShouldStop(2048);
_txt = _txt+_getview((int)(BA.ObjectToNumber(mostCurrent._selecteditems.Get(_i))),(int) (5)).getText();Debug.locals.put("txt", _txt);
 BA.debugLineNum = 237;BA.debugLine="NumHHID =GetView(SelectedItems.Get(i),5).Text";
Debug.ShouldStop(4096);
_numhhid = (int)(Double.parseDouble(_getview((int)(BA.ObjectToNumber(mostCurrent._selecteditems.Get(_i))),(int) (5)).getText()));
 }else {
 BA.debugLineNum = 239;BA.debugLine="txt=txt&\" / \"&GetView(SelectedItems.Get(i),0).Text";
Debug.ShouldStop(16384);
_txt = _txt+" / "+_getview((int)(BA.ObjectToNumber(mostCurrent._selecteditems.Get(_i))),(int) (0)).getText();Debug.locals.put("txt", _txt);
 BA.debugLineNum = 240;BA.debugLine="hhid =GetView(SelectedItems.Get(i),0).Text";
Debug.ShouldStop(32768);
_hhid = (int)(Double.parseDouble(_getview((int)(BA.ObjectToNumber(mostCurrent._selecteditems.Get(_i))),(int) (0)).getText()));
 };
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 243;BA.debugLine="Activity.Title = txt";
Debug.ShouldStop(262144);
mostCurrent._activity.setTitle((Object)(_txt));
 BA.debugLineNum = 244;BA.debugLine="hhid=NumHHID";
Debug.ShouldStop(524288);
_hhid = _numhhid;
 BA.debugLineNum = 246;BA.debugLine="End Sub";
Debug.ShouldStop(2097152);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _selectrow(int _row,int _selcol,int _mode) throws Exception{
		Debug.PushSubsStack("SelectRow (findhh) ","findhh",2,mostCurrent.activityBA,mostCurrent);
try {
int _col = 0;
int _index = 0;
Debug.locals.put("Row", _row);
Debug.locals.put("SelCol", _selcol);
Debug.locals.put("Mode", _mode);
 BA.debugLineNum = 248;BA.debugLine="Sub SelectRow(Row As Int, SelCol As Int, Mode As Int)";
Debug.ShouldStop(8388608);
 BA.debugLineNum = 249;BA.debugLine="Dim col, index As Int";
Debug.ShouldStop(16777216);
_col = 0;Debug.locals.put("col", _col);
_index = 0;Debug.locals.put("index", _index);
 BA.debugLineNum = 251;BA.debugLine="index=SelectedItems.IndexOf(Row)  ' tests if the row is alrady selected";
Debug.ShouldStop(67108864);
_index = mostCurrent._selecteditems.IndexOf((Object)(_row));Debug.locals.put("index", _index);
 BA.debugLineNum = 253;BA.debugLine="If index>-1 Then ' row already selected";
Debug.ShouldStop(268435456);
if (_index>-1) { 
 BA.debugLineNum = 254;BA.debugLine="For col = 0 To NumberOfColumns - 1";
Debug.ShouldStop(536870912);
{
final int step206 = 1;
final int limit206 = (int) (_numberofcolumns-1);
for (_col = (int) (0); (step206 > 0 && _col <= limit206) || (step206 < 0 && _col >= limit206); _col = ((int)(0 + _col + step206))) {
Debug.locals.put("col", _col);
 BA.debugLineNum = 255;BA.debugLine="GetView(Row, col).Color = CellColor(col)  ' remove the color of previously selected row";
Debug.ShouldStop(1073741824);
_getview(_row,_col).setColor(_cellcolor[_col]);
 }
}Debug.locals.put("col", _col);
;
 BA.debugLineNum = 257;BA.debugLine="SelectedItems.RemoveAt(index)	' removes the row from the list of selected rows";
Debug.ShouldStop(1);
mostCurrent._selecteditems.RemoveAt(_index);
 BA.debugLineNum = 258;BA.debugLine="If SelectedItems.Size=1 Then";
Debug.ShouldStop(2);
if (mostCurrent._selecteditems.getSize()==1) { 
 BA.debugLineNum = 259;BA.debugLine="Row=SelectedItems.Get(0)		' sets row to the last selected row";
Debug.ShouldStop(4);
_row = (int)(BA.ObjectToNumber(mostCurrent._selecteditems.Get((int) (0))));Debug.locals.put("Row", _row);
 };
 }else {
 BA.debugLineNum = 263;BA.debugLine="If Mode=0 Then";
Debug.ShouldStop(64);
if (_mode==0) { 
 BA.debugLineNum = 264;BA.debugLine="SelectedItems.Add(Row)";
Debug.ShouldStop(128);
mostCurrent._selecteditems.Add((Object)(_row));
 }else 
{ BA.debugLineNum = 265;BA.debugLine="Else If Mode=2 Then";
Debug.ShouldStop(256);
if (_mode==2) { 
 BA.debugLineNum = 266;BA.debugLine="For col = 0 To NumberOfColumns - 1";
Debug.ShouldStop(512);
{
final int step217 = 1;
final int limit217 = (int) (_numberofcolumns-1);
for (_col = (int) (0); (step217 > 0 && _col <= limit217) || (step217 < 0 && _col >= limit217); _col = ((int)(0 + _col + step217))) {
Debug.locals.put("col", _col);
 BA.debugLineNum = 267;BA.debugLine="GetView(PreviousRow, col).Color = CellColor(col)  ' sets standard colors to previous row";
Debug.ShouldStop(1024);
_getview(_previousrow,_col).setColor(_cellcolor[_col]);
 }
}Debug.locals.put("col", _col);
;
 }};
 BA.debugLineNum = 270;BA.debugLine="For col = 0 To NumberOfColumns - 1";
Debug.ShouldStop(8192);
{
final int step221 = 1;
final int limit221 = (int) (_numberofcolumns-1);
for (_col = (int) (0); (step221 > 0 && _col <= limit221) || (step221 < 0 && _col >= limit221); _col = ((int)(0 + _col + step221))) {
Debug.locals.put("col", _col);
 BA.debugLineNum = 271;BA.debugLine="GetView(Row, col).Color = SelectedRowColor  ' sets selected row colors";
Debug.ShouldStop(16384);
_getview(_row,_col).setColor(_selectedrowcolor);
 }
}Debug.locals.put("col", _col);
;
 };
 BA.debugLineNum = 275;BA.debugLine="If Mode=1 Then	' up / down move";
Debug.ShouldStop(262144);
if (_mode==1) { 
 BA.debugLineNum = 276;BA.debugLine="For col = 0 To NumberOfColumns - 1";
Debug.ShouldStop(524288);
{
final int step226 = 1;
final int limit226 = (int) (_numberofcolumns-1);
for (_col = (int) (0); (step226 > 0 && _col <= limit226) || (step226 < 0 && _col >= limit226); _col = ((int)(0 + _col + step226))) {
Debug.locals.put("col", _col);
 BA.debugLineNum = 277;BA.debugLine="GetView(PreviousRow, col).Color = CellColor(col)";
Debug.ShouldStop(1048576);
_getview(_previousrow,_col).setColor(_cellcolor[_col]);
 BA.debugLineNum = 278;BA.debugLine="GetView(Row, col).Color = SelectedRowColor";
Debug.ShouldStop(2097152);
_getview(_row,_col).setColor(_selectedrowcolor);
 }
}Debug.locals.put("col", _col);
;
 };
 BA.debugLineNum = 283;BA.debugLine="If SelectedItems.Size=0 Then";
Debug.ShouldStop(67108864);
if (mostCurrent._selecteditems.getSize()==0) { 
 }else 
{ BA.debugLineNum = 285;BA.debugLine="Else If SelectedItems.Size=1 Then";
Debug.ShouldStop(268435456);
if (mostCurrent._selecteditems.getSize()==1) { 
 BA.debugLineNum = 286;BA.debugLine="SelectedItems.Set(0,Row)";
Debug.ShouldStop(536870912);
mostCurrent._selecteditems.Set((int) (0),(Object)(_row));
 BA.debugLineNum = 287;BA.debugLine="edtNHTSID.Text=GetView(SelectedItems.Get(0), 0).Text";
Debug.ShouldStop(1073741824);
mostCurrent._edtnhtsid.setText((Object)(_getview((int)(BA.ObjectToNumber(mostCurrent._selecteditems.Get((int) (0)))),(int) (0)).getText()));
 BA.debugLineNum = 288;BA.debugLine="edtLName.Text=GetView(SelectedItems.Get(0), 1).Text";
Debug.ShouldStop(-2147483648);
mostCurrent._edtlname.setText((Object)(_getview((int)(BA.ObjectToNumber(mostCurrent._selecteditems.Get((int) (0)))),(int) (1)).getText()));
 BA.debugLineNum = 289;BA.debugLine="edtFName.Text=GetView(SelectedItems.Get(0), 2).Text";
Debug.ShouldStop(1);
mostCurrent._edtfname.setText((Object)(_getview((int)(BA.ObjectToNumber(mostCurrent._selecteditems.Get((int) (0)))),(int) (2)).getText()));
 BA.debugLineNum = 290;BA.debugLine="edtMName.Text=GetView(SelectedItems.Get(0), 3).Text";
Debug.ShouldStop(2);
mostCurrent._edtmname.setText((Object)(_getview((int)(BA.ObjectToNumber(mostCurrent._selecteditems.Get((int) (0)))),(int) (3)).getText()));
 BA.debugLineNum = 291;BA.debugLine="edtFamcnt.Text=GetView(SelectedItems.Get(0), 4).Text";
Debug.ShouldStop(4);
mostCurrent._edtfamcnt.setText((Object)(_getview((int)(BA.ObjectToNumber(mostCurrent._selecteditems.Get((int) (0)))),(int) (4)).getText()));
 BA.debugLineNum = 292;BA.debugLine="edtHHoldID.Text=GetView(SelectedItems.Get(0), 5).Text";
Debug.ShouldStop(8);
mostCurrent._edthholdid.setText((Object)(_getview((int)(BA.ObjectToNumber(mostCurrent._selecteditems.Get((int) (0)))),(int) (5)).getText()));
 BA.debugLineNum = 293;BA.debugLine="edtCHTID.Text=GetView(SelectedItems.Get(0), 6).Text";
Debug.ShouldStop(16);
mostCurrent._edtchtid.setText((Object)(_getview((int)(BA.ObjectToNumber(mostCurrent._selecteditems.Get((int) (0)))),(int) (6)).getText()));
 BA.debugLineNum = 294;BA.debugLine="PreviousRow=Row";
Debug.ShouldStop(32);
_previousrow = _row;
 }else {
 }};
 BA.debugLineNum = 298;BA.debugLine="End Sub";
Debug.ShouldStop(512);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _setcell(int _row,int _col,String _value) throws Exception{
		Debug.PushSubsStack("SetCell (findhh) ","findhh",2,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("Row", _row);
Debug.locals.put("Col", _col);
Debug.locals.put("Value", _value);
 BA.debugLineNum = 358;BA.debugLine="Sub SetCell(Row As Int, Col As Int, Value As String)";
Debug.ShouldStop(32);
 BA.debugLineNum = 360;BA.debugLine="GetView(Row, Col).Text = Value";
Debug.ShouldStop(128);
_getview(_row,_col).setText((Object)(_value));
 BA.debugLineNum = 361;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _setheader(String[] _values) throws Exception{
		Debug.PushSubsStack("SetHeader (findhh) ","findhh",2,mostCurrent.activityBA,mostCurrent);
try {
int _colwidth = 0;
int _i = 0;
anywheresoftware.b4a.objects.LabelWrapper _l = null;
Debug.locals.put("Values", _values);
 BA.debugLineNum = 336;BA.debugLine="Sub SetHeader(Values() As String)";
Debug.ShouldStop(32768);
 BA.debugLineNum = 338;BA.debugLine="Dim ColWidth As Int";
Debug.ShouldStop(131072);
_colwidth = 0;Debug.locals.put("ColWidth", _colwidth);
 BA.debugLineNum = 340;BA.debugLine="If Header.IsInitialized Then Return 'should only be called once";
Debug.ShouldStop(524288);
if (mostCurrent._header.IsInitialized()) { 
if (true) return "";};
 BA.debugLineNum = 341;BA.debugLine="Header.Initialize(\"\")";
Debug.ShouldStop(1048576);
mostCurrent._header.Initialize(mostCurrent.activityBA,"");
 BA.debugLineNum = 342;BA.debugLine="ColWidth=0";
Debug.ShouldStop(2097152);
_colwidth = (int) (0);Debug.locals.put("ColWidth", _colwidth);
 BA.debugLineNum = 343;BA.debugLine="For i = 0 To NumberOfColumns - 1";
Debug.ShouldStop(4194304);
{
final int step281 = 1;
final int limit281 = (int) (_numberofcolumns-1);
for (_i = (int) (0); (step281 > 0 && _i <= limit281) || (step281 < 0 && _i >= limit281); _i = ((int)(0 + _i + step281))) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 344;BA.debugLine="Dim l As Label";
Debug.ShouldStop(8388608);
_l = new anywheresoftware.b4a.objects.LabelWrapper();Debug.locals.put("l", _l);
 BA.debugLineNum = 345;BA.debugLine="l.Initialize(\"header\")";
Debug.ShouldStop(16777216);
_l.Initialize(mostCurrent.activityBA,"header");
 BA.debugLineNum = 346;BA.debugLine="l.Text = Values(i)";
Debug.ShouldStop(33554432);
_l.setText((Object)(_values[_i]));
 BA.debugLineNum = 347;BA.debugLine="l.Gravity = Alignment(i)";
Debug.ShouldStop(67108864);
_l.setGravity(_alignment[_i]);
 BA.debugLineNum = 348;BA.debugLine="l.TextSize = FontSize(i)";
Debug.ShouldStop(134217728);
_l.setTextSize(_fontsize[_i]);
 BA.debugLineNum = 349;BA.debugLine="l.Color = HeaderColor(i)";
Debug.ShouldStop(268435456);
_l.setColor(_headercolor[_i]);
 BA.debugLineNum = 350;BA.debugLine="l.TextColor = HeaderFontColor(i)";
Debug.ShouldStop(536870912);
_l.setTextColor(_headerfontcolor[_i]);
 BA.debugLineNum = 351;BA.debugLine="l.Tag = i";
Debug.ShouldStop(1073741824);
_l.setTag((Object)(_i));
 BA.debugLineNum = 352;BA.debugLine="Header.AddView(l, ColWidth, 0, ColumnWidth_1(i), RowHeight_1)";
Debug.ShouldStop(-2147483648);
mostCurrent._header.AddView((android.view.View)(_l.getObject()),_colwidth,(int) (0),_columnwidth_1[_i],_rowheight_1);
 BA.debugLineNum = 353;BA.debugLine="ColWidth=ColWidth+ColumnWidth(i)";
Debug.ShouldStop(1);
_colwidth = (int) (_colwidth+_columnwidth[_i]);Debug.locals.put("ColWidth", _colwidth);
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 355;BA.debugLine="Activity.AddView(Header, scvlist.Left, scvlist.Top - RowHeight, scvlist.Width, RowHeight)";
Debug.ShouldStop(4);
mostCurrent._activity.AddView((android.view.View)(mostCurrent._header.getObject()),mostCurrent._scvlist.getLeft(),(int) (mostCurrent._scvlist.getTop()-_rowheight),mostCurrent._scvlist.getWidth(),_rowheight);
 BA.debugLineNum = 356;BA.debugLine="End Sub";
Debug.ShouldStop(8);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _sqlreadtable() throws Exception{
		Debug.PushSubsStack("SQLReadTable (findhh) ","findhh",2,mostCurrent.activityBA,mostCurrent);
try {
int _i = 0;
anywheresoftware.b4a.sql.SQL.CursorWrapper _cursor1 = null;
String[] _row = null;
 BA.debugLineNum = 175;BA.debugLine="Sub SQLReadTable";
Debug.ShouldStop(16384);
 BA.debugLineNum = 177;BA.debugLine="Dim i As Int";
Debug.ShouldStop(65536);
_i = 0;Debug.locals.put("i", _i);
 BA.debugLineNum = 178;BA.debugLine="Dim Cursor1 As Cursor";
Debug.ShouldStop(131072);
_cursor1 = new anywheresoftware.b4a.sql.SQL.CursorWrapper();Debug.locals.put("Cursor1", _cursor1);
 BA.debugLineNum = 179;BA.debugLine="If btnFind = False Then";
Debug.ShouldStop(262144);
if (_btnfind==anywheresoftware.b4a.keywords.Common.False) { 
 BA.debugLineNum = 181;BA.debugLine="Cursor1 = sql1.ExecQuery(\"Select nhtsid, lname, fname, mname, hhid, famcnt, chtid from hhtbl1 where chtid = 81\")";
Debug.ShouldStop(1048576);
_cursor1.setObject((android.database.Cursor)(_sql1.ExecQuery("Select nhtsid, lname, fname, mname, hhid, famcnt, chtid from hhtbl1 where chtid = 81")));
 }else 
{ BA.debugLineNum = 182;BA.debugLine="Else If btnFind = True Then";
Debug.ShouldStop(2097152);
if (_btnfind==anywheresoftware.b4a.keywords.Common.True) { 
 BA.debugLineNum = 183;BA.debugLine="Cursor1 = sql1.ExecQuery(\"Select nhtsid, lname, fname, mname, hhid, famcnt, chtid from hhtbl1 where chtid = 81 and nhtsid like '%\"& Txt1.Text &\"%' and lname like '%\" & Txt2.Text & \"%' and fname like '%\" & Txt3.Text & \"%' and mname like '%\" & Txt4.Text & \"%'\")";
Debug.ShouldStop(4194304);
_cursor1.setObject((android.database.Cursor)(_sql1.ExecQuery("Select nhtsid, lname, fname, mname, hhid, famcnt, chtid from hhtbl1 where chtid = 81 and nhtsid like '%"+mostCurrent._txt1.getText()+"%' and lname like '%"+mostCurrent._txt2.getText()+"%' and fname like '%"+mostCurrent._txt3.getText()+"%' and mname like '%"+mostCurrent._txt4.getText()+"%'")));
 }};
 BA.debugLineNum = 186;BA.debugLine="Dim row(NumberOfColumns) As String";
Debug.ShouldStop(33554432);
_row = new String[_numberofcolumns];
java.util.Arrays.fill(_row,"");Debug.locals.put("row", _row);
 BA.debugLineNum = 187;BA.debugLine="row(0)=\"NHTS ID\"";
Debug.ShouldStop(67108864);
_row[(int) (0)] = "NHTS ID";Debug.locals.put("row", _row);
 BA.debugLineNum = 188;BA.debugLine="row(1)=\"Last Name\"";
Debug.ShouldStop(134217728);
_row[(int) (1)] = "Last Name";Debug.locals.put("row", _row);
 BA.debugLineNum = 189;BA.debugLine="row(2)=\"First Name\"";
Debug.ShouldStop(268435456);
_row[(int) (2)] = "First Name";Debug.locals.put("row", _row);
 BA.debugLineNum = 190;BA.debugLine="row(3)=\"Middle Name\"";
Debug.ShouldStop(536870912);
_row[(int) (3)] = "Middle Name";Debug.locals.put("row", _row);
 BA.debugLineNum = 191;BA.debugLine="row(4)=\"Pamilya(#)\"";
Debug.ShouldStop(1073741824);
_row[(int) (4)] = "Pamilya(#)";Debug.locals.put("row", _row);
 BA.debugLineNum = 192;BA.debugLine="row(5)=\"household_id\"";
Debug.ShouldStop(-2147483648);
_row[(int) (5)] = "household_id";Debug.locals.put("row", _row);
 BA.debugLineNum = 193;BA.debugLine="row(6)=\"cht_id\"";
Debug.ShouldStop(1);
_row[(int) (6)] = "cht_id";Debug.locals.put("row", _row);
 BA.debugLineNum = 196;BA.debugLine="If btnFind= False Then SetHeader(row)";
Debug.ShouldStop(8);
if (_btnfind==anywheresoftware.b4a.keywords.Common.False) { 
_setheader(_row);};
 BA.debugLineNum = 197;BA.debugLine="NumberOfRows=0";
Debug.ShouldStop(16);
_numberofrows = (int) (0);
 BA.debugLineNum = 198;BA.debugLine="For i = 0 To Cursor1.RowCount - 1";
Debug.ShouldStop(32);
{
final int step159 = 1;
final int limit159 = (int) (_cursor1.getRowCount()-1);
for (_i = (int) (0); (step159 > 0 && _i <= limit159) || (step159 < 0 && _i >= limit159); _i = ((int)(0 + _i + step159))) {
Debug.locals.put("i", _i);
 BA.debugLineNum = 199;BA.debugLine="Dim row(NumberOfColumns) As String";
Debug.ShouldStop(64);
_row = new String[_numberofcolumns];
java.util.Arrays.fill(_row,"");Debug.locals.put("row", _row);
 BA.debugLineNum = 200;BA.debugLine="Cursor1.Position = i";
Debug.ShouldStop(128);
_cursor1.setPosition(_i);
 BA.debugLineNum = 201;BA.debugLine="row(0)=Cursor1.GetString(\"nhtsid\")";
Debug.ShouldStop(256);
_row[(int) (0)] = _cursor1.GetString("nhtsid");Debug.locals.put("row", _row);
 BA.debugLineNum = 202;BA.debugLine="row(1)=Cursor1.GetString(\"lname\")";
Debug.ShouldStop(512);
_row[(int) (1)] = _cursor1.GetString("lname");Debug.locals.put("row", _row);
 BA.debugLineNum = 203;BA.debugLine="row(2)=Cursor1.GetString(\"fname\")";
Debug.ShouldStop(1024);
_row[(int) (2)] = _cursor1.GetString("fname");Debug.locals.put("row", _row);
 BA.debugLineNum = 204;BA.debugLine="row(3)=Cursor1.GetString(\"mname\")";
Debug.ShouldStop(2048);
_row[(int) (3)] = _cursor1.GetString("mname");Debug.locals.put("row", _row);
 BA.debugLineNum = 205;BA.debugLine="row(4)=Cursor1.GetString(\"famcnt\")";
Debug.ShouldStop(4096);
_row[(int) (4)] = _cursor1.GetString("famcnt");Debug.locals.put("row", _row);
 BA.debugLineNum = 206;BA.debugLine="row(5)=Cursor1.GetString(\"hhid\")";
Debug.ShouldStop(8192);
_row[(int) (5)] = _cursor1.GetString("hhid");Debug.locals.put("row", _row);
 BA.debugLineNum = 207;BA.debugLine="row(6)=Cursor1.GetString(\"chtid\")";
Debug.ShouldStop(16384);
_row[(int) (6)] = _cursor1.GetString("chtid");Debug.locals.put("row", _row);
 BA.debugLineNum = 208;BA.debugLine="AddRow(row)";
Debug.ShouldStop(32768);
_addrow(_row);
 }
}Debug.locals.put("i", _i);
;
 BA.debugLineNum = 210;BA.debugLine="Cursor1.Close";
Debug.ShouldStop(131072);
_cursor1.Close();
 BA.debugLineNum = 211;BA.debugLine="End Sub";
Debug.ShouldStop(262144);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
}
