package b4a.example;

import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class profilehoh extends Activity implements B4AActivity{
	public static profilehoh mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = true;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		if (isFirst) {
			processBA = new BA(this.getApplicationContext(), null, null, "b4a.example", "b4a.example.profilehoh");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (profilehoh).");
				p.finish();
			}
		}
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		mostCurrent = this;
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
		BA.handler.postDelayed(new WaitForLayout(), 5);

	}
	private static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "b4a.example", "b4a.example.profilehoh");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.shellMode) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "b4a.example.profilehoh", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (profilehoh) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (profilehoh) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
		return true;
	}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEvent(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return profilehoh.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
		this.setIntent(intent);
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null) //workaround for emulator bug (Issue 2423)
            return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (profilehoh) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
			if (mostCurrent == null || mostCurrent != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (profilehoh) Resume **");
		    processBA.raiseEvent(mostCurrent._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}

public anywheresoftware.b4a.keywords.Common __c = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _qcur = null;
public static anywheresoftware.b4a.sql.SQL.CursorWrapper _qcur2 = null;
public static int _hhid = 0;
public static String _spintxt = "";
public static anywheresoftware.b4a.sql.SQL _sql1 = null;
public static anywheresoftware.b4a.sql.SQL _sql2 = null;
public static anywheresoftware.b4a.phone.Phone _t = null;
public static String _dbfilename = "";
public static String _dbfilepath = "";
public static int _hohid = 0;
public static int _i = 0;
public anywheresoftware.b4a.objects.ButtonWrapper _addmem = null;
public anywheresoftware.b4a.objects.ButtonWrapper _editmem = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnhup = null;
public anywheresoftware.b4a.objects.ButtonWrapper _b = null;
public anywheresoftware.b4a.objects.ButtonWrapper _btnsave = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _rbfemale = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _rbmale = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _rbno = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper _rbyes = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imageview2 = null;
public static String _txt = "";
public static String _txt2 = "";
public anywheresoftware.b4a.objects.EditTextWrapper _dob = null;
public anywheresoftware.b4a.objects.EditTextWrapper _fname = null;
public anywheresoftware.b4a.objects.EditTextWrapper _hsecateg = null;
public anywheresoftware.b4a.objects.EditTextWrapper _lname = null;
public anywheresoftware.b4a.objects.EditTextWrapper _memcateg = null;
public anywheresoftware.b4a.objects.EditTextWrapper _mname = null;
public anywheresoftware.b4a.objects.EditTextWrapper _nhtsid = null;
public anywheresoftware.b4a.objects.EditTextWrapper _phicexpdat = null;
public anywheresoftware.b4a.objects.EditTextWrapper _phicidtype = null;
public anywheresoftware.b4a.objects.SpinnerWrapper _spnbarangay = null;
public anywheresoftware.b4a.objects.EditTextWrapper _municipality = null;
public anywheresoftware.b4a.objects.EditTextWrapper _number = null;
public anywheresoftware.b4a.objects.EditTextWrapper _province = null;
public anywheresoftware.b4a.objects.EditTextWrapper _region = null;
public anywheresoftware.b4a.objects.EditTextWrapper _street = null;
public b4a.example.anotherdatepicker _adp = null;
public b4a.example.anotherdatepicker _phicexpdat1 = null;
public anywheresoftware.b4a.objects.SpinnerWrapper _genspin = null;
public static String _numrow = "";
public static String _genspinindex = "";
public b4a.example.anotherdatepicker _phicexpdate1 = null;
public b4a.example.dateutils _dateutils = null;
public b4a.example.main _main = null;
public b4a.example.fplaymovie _fplaymovie = null;
public b4a.example.findhh _findhh = null;
  public Object[] GetGlobals() {
		return new Object[] {"Activity",mostCurrent._activity,"AddMem",mostCurrent._addmem,"ADP",mostCurrent._adp,"b",mostCurrent._b,"btnHUP",mostCurrent._btnhup,"btnSave",mostCurrent._btnsave,"DateUtils",mostCurrent._dateutils,"DBFileName",_dbfilename,"DBFilePath",_dbfilepath,"dob",mostCurrent._dob,"EditMem",mostCurrent._editmem,"FindHH",Debug.moduleToString(b4a.example.findhh.class),"fname",mostCurrent._fname,"fPlayMovie",Debug.moduleToString(b4a.example.fplaymovie.class),"GenSpin",mostCurrent._genspin,"GenSpinIndex",mostCurrent._genspinindex,"hhid",_hhid,"hohid",_hohid,"hseCateg",mostCurrent._hsecateg,"i",_i,"ImageView2",mostCurrent._imageview2,"lname",mostCurrent._lname,"Main",Debug.moduleToString(b4a.example.main.class),"MemCateg",mostCurrent._memcateg,"mname",mostCurrent._mname,"municipality",mostCurrent._municipality,"nhtsid",mostCurrent._nhtsid,"number",mostCurrent._number,"NumRow",mostCurrent._numrow,"PHICexpdat",mostCurrent._phicexpdat,"PHICexpdat1",mostCurrent._phicexpdat1,"PHICexpdate1",mostCurrent._phicexpdate1,"PHICIDtype",mostCurrent._phicidtype,"province",mostCurrent._province,"qcur",_qcur,"qcur2",_qcur2,"rbFemale",mostCurrent._rbfemale,"rbMale",mostCurrent._rbmale,"rbNo",mostCurrent._rbno,"rbYes",mostCurrent._rbyes,"region",mostCurrent._region,"SpinTxt",_spintxt,"spnbarangay",mostCurrent._spnbarangay,"sql1",_sql1,"sql2",_sql2,"street",mostCurrent._street,"t",_t,"Txt",mostCurrent._txt,"txt2",mostCurrent._txt2};
}

public static void initializeProcessGlobals() {
             try {
                Class.forName(BA.applicationContext.getPackageName() + ".main").getMethod("initializeProcessGlobals").invoke(null, null);
            } catch (Exception e) {
                throw new RuntimeException(e);
            }
}
public static String  _activity_create(boolean _firsttime) throws Exception{
		Debug.PushSubsStack("Activity_Create (profilehoh) ","profilehoh",3,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("FirstTime", _firsttime);
 BA.debugLineNum = 71;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
Debug.ShouldStop(64);
 BA.debugLineNum = 72;BA.debugLine="Activity.LoadLayout(\"fprofilehoh\")";
Debug.ShouldStop(128);
mostCurrent._activity.LoadLayout("fprofilehoh",mostCurrent.activityBA);
 BA.debugLineNum = 78;BA.debugLine="AddMem.Color =Colors.LightGray";
Debug.ShouldStop(8192);
mostCurrent._addmem.setColor(anywheresoftware.b4a.keywords.Common.Colors.LightGray);
 BA.debugLineNum = 79;BA.debugLine="EditMem.Color=Colors.LightGray";
Debug.ShouldStop(16384);
mostCurrent._editmem.setColor(anywheresoftware.b4a.keywords.Common.Colors.LightGray);
 BA.debugLineNum = 80;BA.debugLine="btnSave.Color=Colors.LightGray";
Debug.ShouldStop(32768);
mostCurrent._btnsave.setColor(anywheresoftware.b4a.keywords.Common.Colors.LightGray);
 BA.debugLineNum = 81;BA.debugLine="btnHUP.Color=Colors.lightgray";
Debug.ShouldStop(65536);
mostCurrent._btnhup.setColor(anywheresoftware.b4a.keywords.Common.Colors.LightGray);
 BA.debugLineNum = 84;BA.debugLine="hohid = FindHH.hhid";
Debug.ShouldStop(524288);
_hohid = mostCurrent._findhh._hhid;
 BA.debugLineNum = 86;BA.debugLine="If FirstTime Then";
Debug.ShouldStop(2097152);
if (_firsttime) { 
 BA.debugLineNum = 87;BA.debugLine="sql1.Initialize(DBFilePath, DBFileName, True)";
Debug.ShouldStop(4194304);
Debug.DebugWarningEngine.CheckInitialize(_sql1);_sql1.Initialize(_dbfilepath,_dbfilename,anywheresoftware.b4a.keywords.Common.True);
 };
 BA.debugLineNum = 89;BA.debugLine="Txt = \"Select * from hh where hhid = \" & hohid";
Debug.ShouldStop(16777216);
mostCurrent._txt = "Select * from hh where hhid = "+BA.NumberToString(_hohid);
 BA.debugLineNum = 92;BA.debugLine="QcurExec";
Debug.ShouldStop(134217728);
_qcurexec();
 BA.debugLineNum = 93;BA.debugLine="fillfields";
Debug.ShouldStop(268435456);
_fillfields();
 BA.debugLineNum = 94;BA.debugLine="lockfields";
Debug.ShouldStop(536870912);
_lockfields();
 BA.debugLineNum = 95;BA.debugLine="qcur.Close";
Debug.ShouldStop(1073741824);
_qcur.Close();
 BA.debugLineNum = 97;BA.debugLine="CheckOne";
Debug.ShouldStop(1);
_checkone();
 BA.debugLineNum = 99;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static boolean  _activity_keypress(int _keycode) throws Exception{
		Debug.PushSubsStack("Activity_KeyPress (profilehoh) ","profilehoh",3,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("KeyCode", _keycode);
 BA.debugLineNum = 177;BA.debugLine="Sub Activity_KeyPress (KeyCode As Int) As Boolean";
Debug.ShouldStop(65536);
 BA.debugLineNum = 178;BA.debugLine="If KeyCode = KeyCodes.KEYCODE_BACK Then";
Debug.ShouldStop(131072);
if (_keycode==anywheresoftware.b4a.keywords.Common.KeyCodes.KEYCODE_BACK) { 
 BA.debugLineNum = 179;BA.debugLine="If ADP.IsVisible Then";
Debug.ShouldStop(262144);
if (mostCurrent._adp._isvisible()) { 
 BA.debugLineNum = 180;BA.debugLine="ADP.btnCancel_Click 'emulate a click on Cancel button";
Debug.ShouldStop(524288);
mostCurrent._adp._btncancel_click();
 BA.debugLineNum = 181;BA.debugLine="Return True";
Debug.ShouldStop(1048576);
if (true) return anywheresoftware.b4a.keywords.Common.True;
 };
 };
 BA.debugLineNum = 184;BA.debugLine="Return False";
Debug.ShouldStop(8388608);
if (true) return anywheresoftware.b4a.keywords.Common.False;
 BA.debugLineNum = 185;BA.debugLine="End Sub";
Debug.ShouldStop(16777216);
return false;
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_pause(boolean _userclosed) throws Exception{
		Debug.PushSubsStack("Activity_Pause (profilehoh) ","profilehoh",3,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("UserClosed", _userclosed);
 BA.debugLineNum = 173;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
Debug.ShouldStop(4096);
 BA.debugLineNum = 175;BA.debugLine="End Sub";
Debug.ShouldStop(16384);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _activity_resume() throws Exception{
		Debug.PushSubsStack("Activity_Resume (profilehoh) ","profilehoh",3,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 169;BA.debugLine="Sub Activity_Resume";
Debug.ShouldStop(256);
 BA.debugLineNum = 171;BA.debugLine="End Sub";
Debug.ShouldStop(1024);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _addmem_click() throws Exception{
		Debug.PushSubsStack("AddMem_Click (profilehoh) ","profilehoh",3,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 234;BA.debugLine="Sub AddMem_Click";
Debug.ShouldStop(512);
 BA.debugLineNum = 236;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _adp_closed(boolean _cancelled,long _date) throws Exception{
		Debug.PushSubsStack("ADP_Closed (profilehoh) ","profilehoh",3,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("Cancelled", _cancelled);
Debug.locals.put("Date", _date);
 BA.debugLineNum = 186;BA.debugLine="Sub ADP_Closed (Cancelled As Boolean, Date As Long)";
Debug.ShouldStop(33554432);
 BA.debugLineNum = 187;BA.debugLine="Log(\"Cancelled = \" & Cancelled & \", Date = \" & DateUtils.TicksToString(Date))";
Debug.ShouldStop(67108864);
anywheresoftware.b4a.keywords.Common.Log("Cancelled = "+BA.ObjectToString(_cancelled)+", Date = "+mostCurrent._dateutils._tickstostring(mostCurrent.activityBA,_date));
 BA.debugLineNum = 188;BA.debugLine="End Sub";
Debug.ShouldStop(134217728);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _btnhup_click() throws Exception{
		Debug.PushSubsStack("btnHUP_Click (profilehoh) ","profilehoh",3,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 231;BA.debugLine="Sub btnHUP_Click";
Debug.ShouldStop(64);
 BA.debugLineNum = 233;BA.debugLine="End Sub";
Debug.ShouldStop(256);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _btnsave_click() throws Exception{
		Debug.PushSubsStack("btnSave_Click (profilehoh) ","profilehoh",3,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 228;BA.debugLine="Sub btnSave_Click";
Debug.ShouldStop(8);
 BA.debugLineNum = 230;BA.debugLine="End Sub";
Debug.ShouldStop(32);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _checkone() throws Exception{
		Debug.PushSubsStack("CheckOne (profilehoh) ","profilehoh",3,mostCurrent.activityBA,mostCurrent);
try {
anywheresoftware.b4a.objects.collections.Map _options = null;
anywheresoftware.b4a.objects.collections.List _scores = null;
int _score = 0;
 BA.debugLineNum = 193;BA.debugLine="Sub CheckOne";
Debug.ShouldStop(1);
 BA.debugLineNum = 194;BA.debugLine="Dim options As Map";
Debug.ShouldStop(2);
_options = new anywheresoftware.b4a.objects.collections.Map();Debug.locals.put("options", _options);
 BA.debugLineNum = 195;BA.debugLine="Dim scores As List";
Debug.ShouldStop(4);
_scores = new anywheresoftware.b4a.objects.collections.List();Debug.locals.put("scores", _scores);
 BA.debugLineNum = 196;BA.debugLine="options.Initialize";
Debug.ShouldStop(8);
_options.Initialize();
 BA.debugLineNum = 197;BA.debugLine="scores.Initialize";
Debug.ShouldStop(16);
_scores.Initialize();
 BA.debugLineNum = 199;BA.debugLine="options.Put(\"Pumayag magpa-interbyu\", False)";
Debug.ShouldStop(64);
_options.Put((Object)("Pumayag magpa-interbyu"),(Object)(anywheresoftware.b4a.keywords.Common.False));
 BA.debugLineNum = 200;BA.debugLine="options.Put(\"Tumangging magpa-interbyu\", False)";
Debug.ShouldStop(128);
_options.Put((Object)("Tumangging magpa-interbyu"),(Object)(anywheresoftware.b4a.keywords.Common.False));
 BA.debugLineNum = 201;BA.debugLine="options.Put(\"Lumipat ng tirahan\", False)";
Debug.ShouldStop(256);
_options.Put((Object)("Lumipat ng tirahan"),(Object)(anywheresoftware.b4a.keywords.Common.False));
 BA.debugLineNum = 202;BA.debugLine="options.Put(\"Hindi matagpuan\", False)";
Debug.ShouldStop(512);
_options.Put((Object)("Hindi matagpuan"),(Object)(anywheresoftware.b4a.keywords.Common.False));
 BA.debugLineNum = 203;BA.debugLine="options.Put(\"Namatay na\", False)";
Debug.ShouldStop(1024);
_options.Put((Object)("Namatay na"),(Object)(anywheresoftware.b4a.keywords.Common.False));
 BA.debugLineNum = 205;BA.debugLine="scores.AddAll(Array As Int(2, 1, 4))";
Debug.ShouldStop(4096);
_scores.AddAll(anywheresoftware.b4a.keywords.Common.ArrayToList(new int[]{(int) (2),(int) (1),(int) (4)}));
 BA.debugLineNum = 206;BA.debugLine="InputMap(options, \"Ang puno ng pamilyang ito ay:\")";
Debug.ShouldStop(8192);
anywheresoftware.b4a.keywords.Common.InputMap(_options,"Ang puno ng pamilyang ito ay:",mostCurrent.activityBA);
 BA.debugLineNum = 207;BA.debugLine="Dim score As Int";
Debug.ShouldStop(16384);
_score = 0;Debug.locals.put("score", _score);
 BA.debugLineNum = 208;BA.debugLine="For i = 0 To options.Size - 1";
Debug.ShouldStop(32768);
{
final int step151 = 1;
final int limit151 = (int) (_options.getSize()-1);
for (_i = (int) (0); (step151 > 0 && _i <= limit151) || (step151 < 0 && _i >= limit151); _i = ((int)(0 + _i + step151))) {
 BA.debugLineNum = 209;BA.debugLine="If options.GetValueAt(i) = True Then score = score + scores.Get(i)";
Debug.ShouldStop(65536);
if ((_options.GetValueAt(_i)).equals((Object)(anywheresoftware.b4a.keywords.Common.True))) { 
_score = (int) (_score+(double)(BA.ObjectToNumber(_scores.Get(_i))));Debug.locals.put("score", _score);};
 }
};
 BA.debugLineNum = 211;BA.debugLine="Msgbox(\"Score=\" & score, \"\")";
Debug.ShouldStop(262144);
anywheresoftware.b4a.keywords.Common.Msgbox("Score="+BA.NumberToString(_score),"",mostCurrent.activityBA);
 BA.debugLineNum = 213;BA.debugLine="If options.Get(\"Pumayag magpa-interbyu\") = True OR options.Get(\"Namatay na\") = True Then";
Debug.ShouldStop(1048576);
if ((_options.Get((Object)("Pumayag magpa-interbyu"))).equals((Object)(anywheresoftware.b4a.keywords.Common.True)) || (_options.Get((Object)("Namatay na"))).equals((Object)(anywheresoftware.b4a.keywords.Common.True))) { 
 BA.debugLineNum = 214;BA.debugLine="ImageView2.Visible = True";
Debug.ShouldStop(2097152);
mostCurrent._imageview2.setVisible(anywheresoftware.b4a.keywords.Common.True);
 }else 
{ BA.debugLineNum = 215;BA.debugLine="Else If options.Get(\"Tumangging magpa-interbyu\") = True Then";
Debug.ShouldStop(4194304);
if ((_options.Get((Object)("Tumangging magpa-interbyu"))).equals((Object)(anywheresoftware.b4a.keywords.Common.True))) { 
 BA.debugLineNum = 216;BA.debugLine="ImageView2.Visible = False";
Debug.ShouldStop(8388608);
mostCurrent._imageview2.setVisible(anywheresoftware.b4a.keywords.Common.False);
 }else 
{ BA.debugLineNum = 217;BA.debugLine="Else If	options.Get(\"Lumipat ng tirahan\") = True OR options.Get(\"Hindi matagpuan\") = True Then";
Debug.ShouldStop(16777216);
if ((_options.Get((Object)("Lumipat ng tirahan"))).equals((Object)(anywheresoftware.b4a.keywords.Common.True)) || (_options.Get((Object)("Hindi matagpuan"))).equals((Object)(anywheresoftware.b4a.keywords.Common.True))) { 
 BA.debugLineNum = 218;BA.debugLine="Msgbox(\"Score=\" & score, \"\")";
Debug.ShouldStop(33554432);
anywheresoftware.b4a.keywords.Common.Msgbox("Score="+BA.NumberToString(_score),"",mostCurrent.activityBA);
 }}};
 BA.debugLineNum = 222;BA.debugLine="End Sub";
Debug.ShouldStop(536870912);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _editmem_click() throws Exception{
		Debug.PushSubsStack("EditMem_Click (profilehoh) ","profilehoh",3,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 225;BA.debugLine="Sub EditMem_Click";
Debug.ShouldStop(1);
 BA.debugLineNum = 227;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _fillfields() throws Exception{
		Debug.PushSubsStack("fillfields (profilehoh) ","profilehoh",3,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 147;BA.debugLine="Sub fillfields";
Debug.ShouldStop(262144);
 BA.debugLineNum = 148;BA.debugLine="lname.Text = qcur.GetString(\"lname\")";
Debug.ShouldStop(524288);
mostCurrent._lname.setText((Object)(_qcur.GetString("lname")));
 BA.debugLineNum = 149;BA.debugLine="fname.Text = qcur.GetString(\"fname\")";
Debug.ShouldStop(1048576);
mostCurrent._fname.setText((Object)(_qcur.GetString("fname")));
 BA.debugLineNum = 150;BA.debugLine="mname.Text = qcur.GetString(\"mname\")";
Debug.ShouldStop(2097152);
mostCurrent._mname.setText((Object)(_qcur.GetString("mname")));
 BA.debugLineNum = 152;BA.debugLine="number.text = qcur.GetString(\"hsenum\")";
Debug.ShouldStop(8388608);
mostCurrent._number.setText((Object)(_qcur.GetString("hsenum")));
 BA.debugLineNum = 153;BA.debugLine="street.text = qcur.GetString(\"street\")";
Debug.ShouldStop(16777216);
mostCurrent._street.setText((Object)(_qcur.GetString("street")));
 BA.debugLineNum = 155;BA.debugLine="municipality.Text =qcur.GetString(\"municipality\")";
Debug.ShouldStop(67108864);
mostCurrent._municipality.setText((Object)(_qcur.GetString("municipality")));
 BA.debugLineNum = 156;BA.debugLine="region.Text =qcur.GetString(\"region\")";
Debug.ShouldStop(134217728);
mostCurrent._region.setText((Object)(_qcur.GetString("region")));
 BA.debugLineNum = 157;BA.debugLine="province.Text =qcur.GetString(\"province\")";
Debug.ShouldStop(268435456);
mostCurrent._province.setText((Object)(_qcur.GetString("province")));
 BA.debugLineNum = 160;BA.debugLine="hseCateg.Text = qcur.GetString(\"nhtscateg\")";
Debug.ShouldStop(-2147483648);
mostCurrent._hsecateg.setText((Object)(_qcur.GetString("nhtscateg")));
 BA.debugLineNum = 161;BA.debugLine="nhtsid.Text = qcur.GetString(\"nhtsid\")";
Debug.ShouldStop(1);
mostCurrent._nhtsid.setText((Object)(_qcur.GetString("nhtsid")));
 BA.debugLineNum = 165;BA.debugLine="PHICIDtype.Text = qcur.GetString(\"hh_phic_id\")";
Debug.ShouldStop(16);
mostCurrent._phicidtype.setText((Object)(_qcur.GetString("hh_phic_id")));
 BA.debugLineNum = 166;BA.debugLine="MemCateg.Text = qcur.GetString(\"hh_phic_mem_cat\")";
Debug.ShouldStop(32);
mostCurrent._memcateg.setText((Object)(_qcur.GetString("hh_phic_mem_cat")));
 BA.debugLineNum = 168;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _globals() throws Exception{
 //BA.debugLineNum = 21;BA.debugLine="Sub Globals";
 //BA.debugLineNum = 24;BA.debugLine="Dim hohid As Int";
_hohid = 0;
 //BA.debugLineNum = 25;BA.debugLine="Dim i As Int";
_i = 0;
 //BA.debugLineNum = 28;BA.debugLine="Dim AddMem As Button";
mostCurrent._addmem = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 29;BA.debugLine="Dim EditMem As Button";
mostCurrent._editmem = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 30;BA.debugLine="Dim btnHUP As Button";
mostCurrent._btnhup = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 31;BA.debugLine="Dim b As Button";
mostCurrent._b = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 32;BA.debugLine="Dim btnSave As Button";
mostCurrent._btnsave = new anywheresoftware.b4a.objects.ButtonWrapper();
 //BA.debugLineNum = 34;BA.debugLine="Dim rbFemale As RadioButton";
mostCurrent._rbfemale = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
 //BA.debugLineNum = 35;BA.debugLine="Dim rbMale As RadioButton";
mostCurrent._rbmale = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
 //BA.debugLineNum = 36;BA.debugLine="Dim rbNo As RadioButton";
mostCurrent._rbno = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
 //BA.debugLineNum = 37;BA.debugLine="Dim rbYes As RadioButton";
mostCurrent._rbyes = new anywheresoftware.b4a.objects.CompoundButtonWrapper.RadioButtonWrapper();
 //BA.debugLineNum = 39;BA.debugLine="Dim ImageView2 As ImageView";
mostCurrent._imageview2 = new anywheresoftware.b4a.objects.ImageViewWrapper();
 //BA.debugLineNum = 41;BA.debugLine="Dim Txt, txt2 As String";
mostCurrent._txt = "";
mostCurrent._txt2 = "";
 //BA.debugLineNum = 44;BA.debugLine="Dim dob As EditText";
mostCurrent._dob = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 45;BA.debugLine="Dim fname As EditText";
mostCurrent._fname = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 46;BA.debugLine="Dim hseCateg As EditText";
mostCurrent._hsecateg = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 47;BA.debugLine="Dim lname As EditText";
mostCurrent._lname = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 48;BA.debugLine="Dim MemCateg As EditText";
mostCurrent._memcateg = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 49;BA.debugLine="Dim mname As EditText";
mostCurrent._mname = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 50;BA.debugLine="Dim nhtsid As EditText";
mostCurrent._nhtsid = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 51;BA.debugLine="Dim PHICexpdat As EditText";
mostCurrent._phicexpdat = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 52;BA.debugLine="Dim PHICIDtype As EditText";
mostCurrent._phicidtype = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 53;BA.debugLine="Dim spnbarangay As Spinner";
mostCurrent._spnbarangay = new anywheresoftware.b4a.objects.SpinnerWrapper();
 //BA.debugLineNum = 54;BA.debugLine="Dim municipality As EditText";
mostCurrent._municipality = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 55;BA.debugLine="Dim number As EditText";
mostCurrent._number = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 56;BA.debugLine="Dim province As EditText";
mostCurrent._province = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 57;BA.debugLine="Dim region As EditText";
mostCurrent._region = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 58;BA.debugLine="Dim street As EditText";
mostCurrent._street = new anywheresoftware.b4a.objects.EditTextWrapper();
 //BA.debugLineNum = 60;BA.debugLine="Dim ADP As AnotherDatePicker";
mostCurrent._adp = new b4a.example.anotherdatepicker();
 //BA.debugLineNum = 61;BA.debugLine="Dim PHICexpdat1 As AnotherDatePicker";
mostCurrent._phicexpdat1 = new b4a.example.anotherdatepicker();
 //BA.debugLineNum = 62;BA.debugLine="Dim GenSpin As Spinner";
mostCurrent._genspin = new anywheresoftware.b4a.objects.SpinnerWrapper();
 //BA.debugLineNum = 63;BA.debugLine="Dim NumRow As String";
mostCurrent._numrow = "";
 //BA.debugLineNum = 66;BA.debugLine="Dim GenSpinIndex As String					: GenSpinIndex = 0";
mostCurrent._genspinindex = "";
 //BA.debugLineNum = 66;BA.debugLine="Dim GenSpinIndex As String					: GenSpinIndex = 0";
mostCurrent._genspinindex = BA.NumberToString(0);
 //BA.debugLineNum = 68;BA.debugLine="Dim PHICexpdate1 As AnotherDatePicker";
mostCurrent._phicexpdate1 = new b4a.example.anotherdatepicker();
 //BA.debugLineNum = 69;BA.debugLine="End Sub";
return "";
}
public static String  _imageview2_click() throws Exception{
		Debug.PushSubsStack("ImageView2_Click (profilehoh) ","profilehoh",3,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 189;BA.debugLine="Sub ImageView2_Click";
Debug.ShouldStop(268435456);
 BA.debugLineNum = 190;BA.debugLine="unlockfields";
Debug.ShouldStop(536870912);
_unlockfields();
 BA.debugLineNum = 191;BA.debugLine="End Sub";
Debug.ShouldStop(1073741824);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _initspin() throws Exception{
		Debug.PushSubsStack("InitSpin (profilehoh) ","profilehoh",3,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 246;BA.debugLine="Sub InitSpin";
Debug.ShouldStop(2097152);
 BA.debugLineNum = 248;BA.debugLine="qcur2 = sql1.ExecQuery(txt2)";
Debug.ShouldStop(8388608);
_qcur2.setObject((android.database.Cursor)(_sql1.ExecQuery(mostCurrent._txt2)));
 BA.debugLineNum = 249;BA.debugLine="GenSpin.Clear";
Debug.ShouldStop(16777216);
mostCurrent._genspin.Clear();
 BA.debugLineNum = 251;BA.debugLine="For i = 0 To qcur2.RowCount - 1";
Debug.ShouldStop(67108864);
{
final int step179 = 1;
final int limit179 = (int) (_qcur2.getRowCount()-1);
for (_i = (int) (0); (step179 > 0 && _i <= limit179) || (step179 < 0 && _i >= limit179); _i = ((int)(0 + _i + step179))) {
 BA.debugLineNum = 252;BA.debugLine="qcur.Position = i";
Debug.ShouldStop(134217728);
_qcur.setPosition(_i);
 BA.debugLineNum = 253;BA.debugLine="GenSpin.Add(qcur.GetString(\"description\"))";
Debug.ShouldStop(268435456);
mostCurrent._genspin.Add(_qcur.GetString("description"));
 }
};
 BA.debugLineNum = 259;BA.debugLine="End Sub";
Debug.ShouldStop(4);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _lockfields() throws Exception{
		Debug.PushSubsStack("lockfields (profilehoh) ","profilehoh",3,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 101;BA.debugLine="Sub lockfields";
Debug.ShouldStop(16);
 BA.debugLineNum = 102;BA.debugLine="lname.Enabled = False";
Debug.ShouldStop(32);
mostCurrent._lname.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 103;BA.debugLine="fname.Enabled = False";
Debug.ShouldStop(64);
mostCurrent._fname.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 104;BA.debugLine="mname.Enabled = False";
Debug.ShouldStop(128);
mostCurrent._mname.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 106;BA.debugLine="number.Enabled = False";
Debug.ShouldStop(512);
mostCurrent._number.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 107;BA.debugLine="street.Enabled = False";
Debug.ShouldStop(1024);
mostCurrent._street.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 108;BA.debugLine="spnbarangay.Enabled = False";
Debug.ShouldStop(2048);
mostCurrent._spnbarangay.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 109;BA.debugLine="municipality.Enabled = False";
Debug.ShouldStop(4096);
mostCurrent._municipality.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 110;BA.debugLine="region.Enabled = False";
Debug.ShouldStop(8192);
mostCurrent._region.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 111;BA.debugLine="province.Enabled = False";
Debug.ShouldStop(16384);
mostCurrent._province.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 112;BA.debugLine="rbFemale.Enabled = False";
Debug.ShouldStop(32768);
mostCurrent._rbfemale.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 113;BA.debugLine="rbMale.Enabled = False";
Debug.ShouldStop(65536);
mostCurrent._rbmale.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 114;BA.debugLine="hseCateg.Enabled = False";
Debug.ShouldStop(131072);
mostCurrent._hsecateg.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 115;BA.debugLine="nhtsid.Enabled = False";
Debug.ShouldStop(262144);
mostCurrent._nhtsid.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 116;BA.debugLine="rbNo.Enabled = False";
Debug.ShouldStop(524288);
mostCurrent._rbno.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 117;BA.debugLine="rbYes.Enabled = False";
Debug.ShouldStop(1048576);
mostCurrent._rbyes.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 118;BA.debugLine="PHICexpdat.Enabled = False";
Debug.ShouldStop(2097152);
mostCurrent._phicexpdat.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 119;BA.debugLine="PHICIDtype.Enabled = False";
Debug.ShouldStop(4194304);
mostCurrent._phicidtype.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 120;BA.debugLine="MemCateg.Enabled = False";
Debug.ShouldStop(8388608);
mostCurrent._memcateg.setEnabled(anywheresoftware.b4a.keywords.Common.False);
 BA.debugLineNum = 122;BA.debugLine="End Sub";
Debug.ShouldStop(33554432);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _phicexpdate1_closed(boolean _cancelled,long _date) throws Exception{
		Debug.PushSubsStack("PHICexpdate1_Closed (profilehoh) ","profilehoh",3,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("Cancelled", _cancelled);
Debug.locals.put("Date", _date);
 BA.debugLineNum = 266;BA.debugLine="Sub PHICexpdate1_Closed (Cancelled As Boolean, Date As Long)";
Debug.ShouldStop(512);
 BA.debugLineNum = 268;BA.debugLine="End Sub";
Debug.ShouldStop(2048);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _process_globals() throws Exception{
 //BA.debugLineNum = 6;BA.debugLine="Sub Process_Globals";
 //BA.debugLineNum = 9;BA.debugLine="Dim qcur, qcur2 As Cursor";
_qcur = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
_qcur2 = new anywheresoftware.b4a.sql.SQL.CursorWrapper();
 //BA.debugLineNum = 10;BA.debugLine="Dim hhid As Int";
_hhid = 0;
 //BA.debugLineNum = 11;BA.debugLine="Dim SpinTxt As String";
_spintxt = "";
 //BA.debugLineNum = 13;BA.debugLine="Dim sql1, sql2 As SQL";
_sql1 = new anywheresoftware.b4a.sql.SQL();
_sql2 = new anywheresoftware.b4a.sql.SQL();
 //BA.debugLineNum = 14;BA.debugLine="Dim t As Phone";
_t = new anywheresoftware.b4a.phone.Phone();
 //BA.debugLineNum = 15;BA.debugLine="Dim DBFileName As String					: DBFileName=\"ichtdb.dbf\"";
_dbfilename = "";
 //BA.debugLineNum = 15;BA.debugLine="Dim DBFileName As String					: DBFileName=\"ichtdb.dbf\"";
_dbfilename = "ichtdb.dbf";
 //BA.debugLineNum = 16;BA.debugLine="Dim DBFilePath As String					: DBFilePath=File.DirRootExternal";
_dbfilepath = "";
 //BA.debugLineNum = 16;BA.debugLine="Dim DBFilePath As String					: DBFilePath=File.DirRootExternal";
_dbfilepath = anywheresoftware.b4a.keywords.Common.File.getDirRootExternal();
 //BA.debugLineNum = 19;BA.debugLine="End Sub";
return "";
}
public static String  _qcurexec() throws Exception{
		Debug.PushSubsStack("QcurExec (profilehoh) ","profilehoh",3,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 260;BA.debugLine="Sub QcurExec";
Debug.ShouldStop(8);
 BA.debugLineNum = 261;BA.debugLine="qcur = sql1.ExecQuery(Txt)";
Debug.ShouldStop(16);
_qcur.setObject((android.database.Cursor)(_sql1.ExecQuery(mostCurrent._txt)));
 BA.debugLineNum = 262;BA.debugLine="qcur.Position = 0";
Debug.ShouldStop(32);
_qcur.setPosition((int) (0));
 BA.debugLineNum = 264;BA.debugLine="End Sub";
Debug.ShouldStop(128);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _spnbarangay_itemclick(int _position,Object _value) throws Exception{
		Debug.PushSubsStack("spnBarangay_ItemClick (profilehoh) ","profilehoh",3,mostCurrent.activityBA,mostCurrent);
try {
Debug.locals.put("Position", _position);
Debug.locals.put("Value", _value);
 BA.debugLineNum = 237;BA.debugLine="Sub spnBarangay_ItemClick (Position As Int, Value As Object)";
Debug.ShouldStop(4096);
 BA.debugLineNum = 238;BA.debugLine="txt2 = \"Select * from geopolcode where type = 5\"";
Debug.ShouldStop(8192);
mostCurrent._txt2 = "Select * from geopolcode where type = 5";
 BA.debugLineNum = 241;BA.debugLine="InitSpin";
Debug.ShouldStop(65536);
_initspin();
 BA.debugLineNum = 243;BA.debugLine="GenSpinIndex=Position";
Debug.ShouldStop(262144);
mostCurrent._genspinindex = BA.NumberToString(_position);
 BA.debugLineNum = 245;BA.debugLine="End Sub";
Debug.ShouldStop(1048576);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
public static String  _unlockfields() throws Exception{
		Debug.PushSubsStack("unlockfields (profilehoh) ","profilehoh",3,mostCurrent.activityBA,mostCurrent);
try {
 BA.debugLineNum = 124;BA.debugLine="Sub unlockfields";
Debug.ShouldStop(134217728);
 BA.debugLineNum = 125;BA.debugLine="lname.Enabled = True";
Debug.ShouldStop(268435456);
mostCurrent._lname.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 126;BA.debugLine="fname.Enabled = True";
Debug.ShouldStop(536870912);
mostCurrent._fname.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 127;BA.debugLine="mname.Enabled = True";
Debug.ShouldStop(1073741824);
mostCurrent._mname.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 129;BA.debugLine="number.Enabled = True";
Debug.ShouldStop(1);
mostCurrent._number.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 130;BA.debugLine="street.Enabled = True";
Debug.ShouldStop(2);
mostCurrent._street.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 131;BA.debugLine="spnbarangay.Enabled = True";
Debug.ShouldStop(4);
mostCurrent._spnbarangay.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 132;BA.debugLine="municipality.Enabled = True";
Debug.ShouldStop(8);
mostCurrent._municipality.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 133;BA.debugLine="region.Enabled = True";
Debug.ShouldStop(16);
mostCurrent._region.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 134;BA.debugLine="province.Enabled = True";
Debug.ShouldStop(32);
mostCurrent._province.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 135;BA.debugLine="rbFemale.Enabled = True";
Debug.ShouldStop(64);
mostCurrent._rbfemale.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 136;BA.debugLine="rbMale.Enabled = True";
Debug.ShouldStop(128);
mostCurrent._rbmale.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 137;BA.debugLine="hseCateg.Enabled = True";
Debug.ShouldStop(256);
mostCurrent._hsecateg.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 138;BA.debugLine="nhtsid.Enabled = True";
Debug.ShouldStop(512);
mostCurrent._nhtsid.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 139;BA.debugLine="rbNo.Enabled = True";
Debug.ShouldStop(1024);
mostCurrent._rbno.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 140;BA.debugLine="rbYes.Enabled = True";
Debug.ShouldStop(2048);
mostCurrent._rbyes.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 141;BA.debugLine="PHICexpdat.Enabled = True";
Debug.ShouldStop(4096);
mostCurrent._phicexpdat.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 142;BA.debugLine="PHICIDtype.Enabled = True";
Debug.ShouldStop(8192);
mostCurrent._phicidtype.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 143;BA.debugLine="MemCateg.Enabled = True";
Debug.ShouldStop(16384);
mostCurrent._memcateg.setEnabled(anywheresoftware.b4a.keywords.Common.True);
 BA.debugLineNum = 145;BA.debugLine="End Sub";
Debug.ShouldStop(65536);
return "";
}
catch (Exception e) {
			Debug.ErrorCaught(e);
			throw e;
		} 
finally {
			Debug.PopSubsStack();
		}}
}
